/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -c Llib/binary.scm -indent -o objs/obj_s/Llib/binary.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl__appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__closezd2binaryzd2portz00zz__binaryz00(obj_t, obj_t);
extern int bgl_input_fill_string(obj_t, obj_t);
extern obj_t close_binary_port(obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl__inputzd2charzd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t, unsigned char);
BGL_EXPORTED_DECL obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t, int);
extern obj_t open_output_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
static obj_t BGl__openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
extern int bgl_output_string(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl__inputzd2objzd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
extern obj_t bgl_input_string(obj_t, int);
BGL_EXPORTED_DECL int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t, obj_t);
extern obj_t output_obj(obj_t, obj_t);
extern unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
static obj_t BGl_cnstzd2initzd2zz__binaryz00();
BGL_EXPORTED_DECL obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
extern obj_t input_obj(obj_t);
extern obj_t append_output_binary_file(obj_t);
static obj_t BGl__openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00();
BGL_EXPORTED_DECL obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
static obj_t BGl_symbol1466z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1469z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1471z00zz__binaryz00 = BUNSPEC;
static obj_t BGl__outputzd2charzd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1473z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1476z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1478z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1480z00zz__binaryz00 = BUNSPEC;
static obj_t BGl__inputzd2fillzd2stringz121435z12zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1483z00zz__binaryz00 = BUNSPEC;
extern obj_t open_input_binary_file(obj_t);
static obj_t BGl_symbol1485z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1487z00zz__binaryz00 = BUNSPEC;
static obj_t BGl_symbol1490z00zz__binaryz00 = BUNSPEC;
static obj_t BGl__outputzd2objzd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl__inputzd2stringzd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t, obj_t);
static obj_t BGl__outputzd2stringzd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2fillzd2stringz12zd2envzc0zz__binaryz00, BgL_bgl__inputza7d2fillza7d21493z00, BGl__inputzd2fillzd2stringz121435z12zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_binaryzd2portzf3zd2envzf3zz__binaryz00, BgL_bgl__binaryza7d2portza7f1494z00, BGl__binaryzd2portzf3z21zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2outputza7d1495z00, BGl__openzd2outputzd2binaryzd2filezd2zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2charzd2envz00zz__binaryz00, BgL_bgl__inputza7d2charza7d21496z00, BGl__inputzd2charzd2zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl__closeza7d2binaryza71497z00, BGl__closezd2binaryzd2portz00zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2objzd2envz00zz__binaryz00, BgL_bgl__outputza7d2objza7d21498z00, BGl__outputzd2objzd2zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2stringzd2envz00zz__binaryz00, BgL_bgl__outputza7d2string1499za7, BGl__outputzd2stringzd2zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2charzd2envz00zz__binaryz00, BgL_bgl__outputza7d2charza7d1500z00, BGl__outputzd2charzd2zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2stringzd2envz00zz__binaryz00, BgL_bgl__inputza7d2stringza71501z00, BGl__inputzd2stringzd2zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1467z00zz__binaryz00, BgL_bgl_string1467za700za7za7_1502za7, "_open-output-binary-file", 24 );
DEFINE_STRING( BGl_string1468z00zz__binaryz00, BgL_bgl_string1468za700za7za7_1503za7, "bstring", 7 );
DEFINE_STRING( BGl_string1470z00zz__binaryz00, BgL_bgl_string1470za700za7za7_1504za7, "_append-output-binary-file", 26 );
DEFINE_STRING( BGl_string1472z00zz__binaryz00, BgL_bgl_string1472za700za7za7_1505za7, "_open-input-binary-file", 23 );
DEFINE_STRING( BGl_string1474z00zz__binaryz00, BgL_bgl_string1474za700za7za7_1506za7, "_close-binary-port", 18 );
DEFINE_STRING( BGl_string1475z00zz__binaryz00, BgL_bgl_string1475za700za7za7_1507za7, "binary-port", 11 );
DEFINE_STRING( BGl_string1477z00zz__binaryz00, BgL_bgl_string1477za700za7za7_1508za7, "_input-obj", 10 );
DEFINE_STRING( BGl_string1479z00zz__binaryz00, BgL_bgl_string1479za700za7za7_1509za7, "_output-obj", 11 );
DEFINE_STRING( BGl_string1481z00zz__binaryz00, BgL_bgl_string1481za700za7za7_1510za7, "_output-char", 12 );
DEFINE_STRING( BGl_string1482z00zz__binaryz00, BgL_bgl_string1482za700za7za7_1511za7, "char", 4 );
DEFINE_STRING( BGl_string1484z00zz__binaryz00, BgL_bgl_string1484za700za7za7_1512za7, "_input-char", 11 );
DEFINE_STRING( BGl_string1486z00zz__binaryz00, BgL_bgl_string1486za700za7za7_1513za7, "_output-string", 14 );
DEFINE_STRING( BGl_string1488z00zz__binaryz00, BgL_bgl_string1488za700za7za7_1514za7, "_input-string", 13 );
DEFINE_STRING( BGl_string1489z00zz__binaryz00, BgL_bgl_string1489za700za7za7_1515za7, "int", 3 );
DEFINE_STRING( BGl_string1491z00zz__binaryz00, BgL_bgl_string1491za700za7za7_1516za7, "_input-fill-string!1435", 23 );
DEFINE_STRING( BGl_string1492z00zz__binaryz00, BgL_bgl_string1492za700za7za7_1517za7, "__binary", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2inputza7d21518z00, BGl__openzd2inputzd2binaryzd2filezd2zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2objzd2envz00zz__binaryz00, BgL_bgl__inputza7d2objza7d2za71519za7, BGl__inputzd2objzd2zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__appendza7d2output1520za7, BGl__appendzd2outputzd2binaryzd2filezd2zz__binaryz00, 0L, BUNSPEC, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long BgL_checksumz00_955, char * BgL_fromz00_956)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
{ 
BGl_requirezd2initializa7ationz75zz__binaryz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__binaryz00(); 
BGl_importedzd2moduleszd2initz00zz__binaryz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
BGl_symbol1466z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1467z00zz__binaryz00); 
BGl_symbol1469z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1470z00zz__binaryz00); 
BGl_symbol1471z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1472z00zz__binaryz00); 
BGl_symbol1473z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1474z00zz__binaryz00); 
BGl_symbol1476z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1477z00zz__binaryz00); 
BGl_symbol1478z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1479z00zz__binaryz00); 
BGl_symbol1480z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1481z00zz__binaryz00); 
BGl_symbol1483z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1484z00zz__binaryz00); 
BGl_symbol1485z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1486z00zz__binaryz00); 
BGl_symbol1487z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1488z00zz__binaryz00); 
return ( 
BGl_symbol1490z00zz__binaryz00 = 
bstring_to_symbol(BGl_string1491z00zz__binaryz00), BUNSPEC) ;} 
}



/* binary-port? */
BGL_EXPORTED_DEF bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/binary.scm 120 */
return 
BINARY_PORTP(BgL_objz00_1);} 
}



/* _binary-port? */
obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t BgL_envz00_877, obj_t BgL_objz00_878)
{ AN_OBJECT;
{ /* Llib/binary.scm 120 */
return 
BBOOL(
BINARY_PORTP(BgL_objz00_878));} 
}



/* open-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_2)
{ AN_OBJECT;
{ /* Llib/binary.scm 126 */
return 
open_output_binary_file(BgL_strz00_2);} 
}



/* _open-output-binary-file */
obj_t BGl__openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_envz00_879, obj_t BgL_strz00_880)
{ AN_OBJECT;
{ /* Llib/binary.scm 126 */
{ /* Llib/binary.scm 127 */
obj_t BgL_strz00_937;
if(
STRINGP(BgL_strz00_880))
{ /* Llib/binary.scm 127 */
BgL_strz00_937 = BgL_strz00_880; }  else 
{ /* Llib/binary.scm 127 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1466z00zz__binaryz00, BGl_string1468z00zz__binaryz00, BgL_strz00_880); 
exit( -1 );} 
return 
open_output_binary_file(BgL_strz00_937);} } 
}



/* append-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_3)
{ AN_OBJECT;
{ /* Llib/binary.scm 132 */
return 
append_output_binary_file(BgL_strz00_3);} 
}



/* _append-output-binary-file */
obj_t BGl__appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_envz00_881, obj_t BgL_strz00_882)
{ AN_OBJECT;
{ /* Llib/binary.scm 132 */
{ /* Llib/binary.scm 133 */
obj_t BgL_strz00_938;
if(
STRINGP(BgL_strz00_882))
{ /* Llib/binary.scm 133 */
BgL_strz00_938 = BgL_strz00_882; }  else 
{ /* Llib/binary.scm 133 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1469z00zz__binaryz00, BGl_string1468z00zz__binaryz00, BgL_strz00_882); 
exit( -1 );} 
return 
append_output_binary_file(BgL_strz00_938);} } 
}



/* open-input-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_4)
{ AN_OBJECT;
{ /* Llib/binary.scm 138 */
return 
open_input_binary_file(BgL_strz00_4);} 
}



/* _open-input-binary-file */
obj_t BGl__openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_envz00_883, obj_t BgL_strz00_884)
{ AN_OBJECT;
{ /* Llib/binary.scm 138 */
{ /* Llib/binary.scm 139 */
obj_t BgL_strz00_939;
if(
STRINGP(BgL_strz00_884))
{ /* Llib/binary.scm 139 */
BgL_strz00_939 = BgL_strz00_884; }  else 
{ /* Llib/binary.scm 139 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1471z00zz__binaryz00, BGl_string1468z00zz__binaryz00, BgL_strz00_884); 
exit( -1 );} 
return 
open_input_binary_file(BgL_strz00_939);} } 
}



/* close-binary-port */
BGL_EXPORTED_DEF obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_5)
{ AN_OBJECT;
{ /* Llib/binary.scm 144 */
return 
close_binary_port(BgL_portz00_5);} 
}



/* _close-binary-port */
obj_t BGl__closezd2binaryzd2portz00zz__binaryz00(obj_t BgL_envz00_885, obj_t BgL_portz00_886)
{ AN_OBJECT;
{ /* Llib/binary.scm 144 */
{ /* Llib/binary.scm 145 */
obj_t BgL_portz00_940;
if(
BINARY_PORTP(BgL_portz00_886))
{ /* Llib/binary.scm 145 */
BgL_portz00_940 = BgL_portz00_886; }  else 
{ /* Llib/binary.scm 145 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1473z00zz__binaryz00, BGl_string1475z00zz__binaryz00, BgL_portz00_886); 
exit( -1 );} 
return 
close_binary_port(BgL_portz00_940);} } 
}



/* input-obj */
BGL_EXPORTED_DEF obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_6)
{ AN_OBJECT;
{ /* Llib/binary.scm 150 */
return 
input_obj(BgL_portz00_6);} 
}



/* _input-obj */
obj_t BGl__inputzd2objzd2zz__binaryz00(obj_t BgL_envz00_887, obj_t BgL_portz00_888)
{ AN_OBJECT;
{ /* Llib/binary.scm 150 */
{ /* Llib/binary.scm 151 */
obj_t BgL_portz00_941;
if(
BINARY_PORTP(BgL_portz00_888))
{ /* Llib/binary.scm 151 */
BgL_portz00_941 = BgL_portz00_888; }  else 
{ /* Llib/binary.scm 151 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1476z00zz__binaryz00, BGl_string1475z00zz__binaryz00, BgL_portz00_888); 
exit( -1 );} 
return 
input_obj(BgL_portz00_941);} } 
}



/* output-obj */
BGL_EXPORTED_DEF obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_7, obj_t BgL_objz00_8)
{ AN_OBJECT;
{ /* Llib/binary.scm 156 */
return 
output_obj(BgL_portz00_7, BgL_objz00_8);} 
}



/* _output-obj */
obj_t BGl__outputzd2objzd2zz__binaryz00(obj_t BgL_envz00_889, obj_t BgL_portz00_890, obj_t BgL_objz00_891)
{ AN_OBJECT;
{ /* Llib/binary.scm 156 */
{ /* Llib/binary.scm 157 */
obj_t BgL_portz00_942;
if(
BINARY_PORTP(BgL_portz00_890))
{ /* Llib/binary.scm 157 */
BgL_portz00_942 = BgL_portz00_890; }  else 
{ /* Llib/binary.scm 157 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1478z00zz__binaryz00, BGl_string1475z00zz__binaryz00, BgL_portz00_890); 
exit( -1 );} 
return 
output_obj(BgL_portz00_942, BgL_objz00_891);} } 
}



/* output-char */
BGL_EXPORTED_DEF obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_9, unsigned char BgL_charz00_10)
{ AN_OBJECT;
{ /* Llib/binary.scm 162 */
return 
BGL_OUTPUT_CHAR(BgL_portz00_9, BgL_charz00_10);} 
}



/* _output-char */
obj_t BGl__outputzd2charzd2zz__binaryz00(obj_t BgL_envz00_892, obj_t BgL_portz00_893, obj_t BgL_charz00_894)
{ AN_OBJECT;
{ /* Llib/binary.scm 162 */
{ /* Llib/binary.scm 163 */
obj_t BgL_portz00_944;unsigned char BgL_charz00_945;
if(
BINARY_PORTP(BgL_portz00_893))
{ /* Llib/binary.scm 163 */
BgL_portz00_944 = BgL_portz00_893; }  else 
{ /* Llib/binary.scm 163 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1480z00zz__binaryz00, BGl_string1475z00zz__binaryz00, BgL_portz00_893); 
exit( -1 );} 
{ /* Llib/binary.scm 163 */
obj_t BgL_auxz00_1017;
if(
CHARP(BgL_charz00_894))
{ /* Llib/binary.scm 163 */
BgL_auxz00_1017 = BgL_charz00_894
; }  else 
{ /* Llib/binary.scm 163 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1480z00zz__binaryz00, BGl_string1482z00zz__binaryz00, BgL_charz00_894); 
exit( -1 );} 
BgL_charz00_945 = 
CCHAR(BgL_auxz00_1017); } 
return 
BGL_OUTPUT_CHAR(BgL_portz00_944, BgL_charz00_945);} } 
}



/* input-char */
BGL_EXPORTED_DEF obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_11)
{ AN_OBJECT;
{ /* Llib/binary.scm 168 */
{ /* Llib/binary.scm 169 */
int BgL_charz00_946;
BgL_charz00_946 = 
BGL_INPUT_CHAR(BgL_portz00_11); 
if(
BGL_INT_EOFP(BgL_charz00_946))
{ /* Llib/binary.scm 169 */
return BEOF;}  else 
{ /* Llib/binary.scm 169 */
return 
BCHAR(
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_946)));} } } 
}



/* _input-char */
obj_t BGl__inputzd2charzd2zz__binaryz00(obj_t BgL_envz00_895, obj_t BgL_portz00_896)
{ AN_OBJECT;
{ /* Llib/binary.scm 168 */
{ /* Llib/binary.scm 169 */
obj_t BgL_portz00_947;
if(
BINARY_PORTP(BgL_portz00_896))
{ /* Llib/binary.scm 169 */
BgL_portz00_947 = BgL_portz00_896; }  else 
{ /* Llib/binary.scm 169 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1483z00zz__binaryz00, BGl_string1475z00zz__binaryz00, BgL_portz00_896); 
exit( -1 );} 
{ /* Llib/binary.scm 169 */
int BgL_charz00_948;
BgL_charz00_948 = 
BGL_INPUT_CHAR(BgL_portz00_947); 
if(
BGL_INT_EOFP(BgL_charz00_948))
{ /* Llib/binary.scm 169 */
return BEOF;}  else 
{ /* Llib/binary.scm 169 */
return 
BCHAR(
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_948)));} } } } 
}



/* output-string */
BGL_EXPORTED_DEF obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t BgL_portz00_12, obj_t BgL_stringz00_13)
{ AN_OBJECT;
{ /* Llib/binary.scm 177 */
return 
BINT(
bgl_output_string(BgL_portz00_12, BgL_stringz00_13));} 
}



/* _output-string */
obj_t BGl__outputzd2stringzd2zz__binaryz00(obj_t BgL_envz00_897, obj_t BgL_portz00_898, obj_t BgL_stringz00_899)
{ AN_OBJECT;
{ /* Llib/binary.scm 177 */
{ /* Llib/binary.scm 178 */
obj_t BgL_portz00_949;obj_t BgL_stringz00_950;
if(
BINARY_PORTP(BgL_portz00_898))
{ /* Llib/binary.scm 178 */
BgL_portz00_949 = BgL_portz00_898; }  else 
{ /* Llib/binary.scm 178 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1485z00zz__binaryz00, BGl_string1475z00zz__binaryz00, BgL_portz00_898); 
exit( -1 );} 
if(
STRINGP(BgL_stringz00_899))
{ /* Llib/binary.scm 178 */
BgL_stringz00_950 = BgL_stringz00_899; }  else 
{ /* Llib/binary.scm 178 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1485z00zz__binaryz00, BGl_string1468z00zz__binaryz00, BgL_stringz00_899); 
exit( -1 );} 
return 
BINT(
bgl_output_string(BgL_portz00_949, BgL_stringz00_950));} } 
}



/* input-string */
BGL_EXPORTED_DEF obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t BgL_portz00_14, int BgL_lenz00_15)
{ AN_OBJECT;
{ /* Llib/binary.scm 183 */
return 
bgl_input_string(BgL_portz00_14, BgL_lenz00_15);} 
}



/* _input-string */
obj_t BGl__inputzd2stringzd2zz__binaryz00(obj_t BgL_envz00_900, obj_t BgL_portz00_901, obj_t BgL_lenz00_902)
{ AN_OBJECT;
{ /* Llib/binary.scm 183 */
{ /* Llib/binary.scm 184 */
obj_t BgL_portz00_951;int BgL_lenz00_952;
if(
BINARY_PORTP(BgL_portz00_901))
{ /* Llib/binary.scm 184 */
BgL_portz00_951 = BgL_portz00_901; }  else 
{ /* Llib/binary.scm 184 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1487z00zz__binaryz00, BGl_string1475z00zz__binaryz00, BgL_portz00_901); 
exit( -1 );} 
{ /* Llib/binary.scm 184 */
obj_t BgL_auxz00_1057;
if(
INTEGERP(BgL_lenz00_902))
{ /* Llib/binary.scm 184 */
BgL_auxz00_1057 = BgL_lenz00_902
; }  else 
{ /* Llib/binary.scm 184 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1487z00zz__binaryz00, BGl_string1489z00zz__binaryz00, BgL_lenz00_902); 
exit( -1 );} 
BgL_lenz00_952 = 
CINT(BgL_auxz00_1057); } 
return 
bgl_input_string(BgL_portz00_951, BgL_lenz00_952);} } 
}



/* input-fill-string! */
BGL_EXPORTED_DEF int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t BgL_portz00_16, obj_t BgL_strz00_17)
{ AN_OBJECT;
{ /* Llib/binary.scm 189 */
return 
bgl_input_fill_string(BgL_portz00_16, BgL_strz00_17);} 
}



/* _input-fill-string!1435 */
obj_t BGl__inputzd2fillzd2stringz121435z12zz__binaryz00(obj_t BgL_envz00_903, obj_t BgL_portz00_904, obj_t BgL_strz00_905)
{ AN_OBJECT;
{ /* Llib/binary.scm 189 */
{ /* Llib/binary.scm 190 */
int BgL_auxz00_1065;
{ /* Llib/binary.scm 190 */
obj_t BgL_portz00_953;obj_t BgL_strz00_954;
if(
BINARY_PORTP(BgL_portz00_904))
{ /* Llib/binary.scm 190 */
BgL_portz00_953 = BgL_portz00_904; }  else 
{ /* Llib/binary.scm 190 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1490z00zz__binaryz00, BGl_string1475z00zz__binaryz00, BgL_portz00_904); 
exit( -1 );} 
if(
STRINGP(BgL_strz00_905))
{ /* Llib/binary.scm 190 */
BgL_strz00_954 = BgL_strz00_905; }  else 
{ /* Llib/binary.scm 190 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1490z00zz__binaryz00, BGl_string1468z00zz__binaryz00, BgL_strz00_905); 
exit( -1 );} 
BgL_auxz00_1065 = 
bgl_input_fill_string(BgL_portz00_953, BgL_strz00_954); } 
return 
BINT(BgL_auxz00_1065);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)215971449), 
BSTRING_TO_STRING(BGl_string1492z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)77210208), 
BSTRING_TO_STRING(BGl_string1492z00zz__binaryz00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)216816546), 
BSTRING_TO_STRING(BGl_string1492z00zz__binaryz00));} 
}

#ifdef __cplusplus
}
#endif
