/*===========================================================================*/
/*   (Llib/kmp.scm)                                                          */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -c Llib/kmp.scm -indent -o objs/obj_s/Llib/kmp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_symbol1592z00zz__kmpz00 = BUNSPEC;
static obj_t BGl_symbol1594z00zz__kmpz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__kmpz00();
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl__kmpzd2string1485zd2zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__kmpz00 = BUNSPEC;
extern obj_t make_vector(int, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00();
BGL_EXPORTED_DECL long BGl_kmpzd2stringzd2zz__kmpz00(obj_t, char *, long);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
static obj_t BGl__kmpzd2mmap1484zd2zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol1568z00zz__kmpz00 = BUNSPEC;
static obj_t BGl_symbol1572z00zz__kmpz00 = BUNSPEC;
static obj_t BGl_symbol1574z00zz__kmpz00 = BUNSPEC;
static obj_t BGl_symbol1579z00zz__kmpz00 = BUNSPEC;
static obj_t BGl__kmpzd2table1483zd2zz__kmpz00(obj_t, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1581z00zz__kmpz00 = BUNSPEC;
static obj_t BGl_symbol1584z00zz__kmpz00 = BUNSPEC;
static obj_t BGl_symbol1587z00zz__kmpz00 = BUNSPEC;
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2stringzd2envz00zz__kmpz00, BgL_bgl__kmpza7d2string1481598za7, BGl__kmpzd2string1485zd2zz__kmpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2mmapzd2envz00zz__kmpz00, BgL_bgl__kmpza7d2mmap1484za71599z00, BGl__kmpzd2mmap1484zd2zz__kmpz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_kmpzd2tablezd2envz00zz__kmpz00, BgL_bgl__kmpza7d2table14831600za7, BGl__kmpzd2table1483zd2zz__kmpz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1570z00zz__kmpz00, BgL_bgl_string1570za700za7za7_1601za7, "index out of range [0..", 23 );
DEFINE_STRING( BGl_string1569z00zz__kmpz00, BgL_bgl_string1569za700za7za7_1602za7, "vector-set!", 11 );
DEFINE_STRING( BGl_string1571z00zz__kmpz00, BgL_bgl_string1571za700za7za7_1603za7, "]", 1 );
DEFINE_STRING( BGl_string1573z00zz__kmpz00, BgL_bgl_string1573za700za7za7_1604za7, "string-ref", 10 );
DEFINE_STRING( BGl_string1575z00zz__kmpz00, BgL_bgl_string1575za700za7za7_1605za7, "while", 5 );
DEFINE_STRING( BGl_string1576z00zz__kmpz00, BgL_bgl_string1576za700za7za7_1606za7, "uchar", 5 );
DEFINE_STRING( BGl_string1577z00zz__kmpz00, BgL_bgl_string1577za700za7za7_1607za7, "long", 4 );
DEFINE_STRING( BGl_string1578z00zz__kmpz00, BgL_bgl_string1578za700za7za7_1608za7, "int", 3 );
DEFINE_STRING( BGl_string1580z00zz__kmpz00, BgL_bgl_string1580za700za7za7_1609za7, "vector-ref", 10 );
DEFINE_STRING( BGl_string1582z00zz__kmpz00, BgL_bgl_string1582za700za7za7_1610za7, "_kmp-table1483", 14 );
DEFINE_STRING( BGl_string1583z00zz__kmpz00, BgL_bgl_string1583za700za7za7_1611za7, "bstring", 7 );
DEFINE_STRING( BGl_string1585z00zz__kmpz00, BgL_bgl_string1585za700za7za7_1612za7, "kmp-mmap", 8 );
DEFINE_STRING( BGl_string1586z00zz__kmpz00, BgL_bgl_string1586za700za7za7_1613za7, "vector", 6 );
DEFINE_STRING( BGl_string1588z00zz__kmpz00, BgL_bgl_string1588za700za7za7_1614za7, "_kmp-mmap1484", 13 );
DEFINE_STRING( BGl_string1590z00zz__kmpz00, BgL_bgl_string1590za700za7za7_1615za7, "mmap", 4 );
DEFINE_STRING( BGl_string1589z00zz__kmpz00, BgL_bgl_string1589za700za7za7_1616za7, "pair", 4 );
DEFINE_STRING( BGl_string1591z00zz__kmpz00, BgL_bgl_string1591za700za7za7_1617za7, "elong", 5 );
DEFINE_STRING( BGl_string1593z00zz__kmpz00, BgL_bgl_string1593za700za7za7_1618za7, "kmp-string", 10 );
DEFINE_STRING( BGl_string1595z00zz__kmpz00, BgL_bgl_string1595za700za7za7_1619za7, "_kmp-string1485", 15 );
DEFINE_STRING( BGl_string1596z00zz__kmpz00, BgL_bgl_string1596za700za7za7_1620za7, "string", 6 );
DEFINE_STRING( BGl_string1597z00zz__kmpz00, BgL_bgl_string1597za700za7za7_1621za7, "__kmp", 5 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long BgL_checksumz00_1352, char * BgL_fromz00_1353)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__kmpz00))
{ 
BGl_requirezd2initializa7ationz75zz__kmpz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__kmpz00(); 
BGl_importedzd2moduleszd2initz00zz__kmpz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__kmpz00()
{ AN_OBJECT;
{ /* Llib/kmp.scm 15 */
BGl_symbol1568z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1569z00zz__kmpz00); 
BGl_symbol1572z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1573z00zz__kmpz00); 
BGl_symbol1574z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1575z00zz__kmpz00); 
BGl_symbol1579z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1580z00zz__kmpz00); 
BGl_symbol1581z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1582z00zz__kmpz00); 
BGl_symbol1584z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1585z00zz__kmpz00); 
BGl_symbol1587z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1588z00zz__kmpz00); 
BGl_symbol1592z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1593z00zz__kmpz00); 
return ( 
BGl_symbol1594z00zz__kmpz00 = 
bstring_to_symbol(BGl_string1595z00zz__kmpz00), BUNSPEC) ;} 
}



/* kmp-table */
BGL_EXPORTED_DEF obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t BgL_pz00_1)
{ AN_OBJECT;
{ /* Llib/kmp.scm 46 */
{ /* Llib/kmp.scm 47 */
long BgL_lpz00_457;
BgL_lpz00_457 = 
STRING_LENGTH(BgL_pz00_1); 
{ /* Llib/kmp.scm 47 */
obj_t BgL_tz00_458;
{ /* Llib/kmp.scm 48 */
long BgL_arg1141z00_471;
BgL_arg1141z00_471 = 
(BgL_lpz00_457+((long)2)); 
BgL_tz00_458 = 
make_vector(
(int)(BgL_arg1141z00_471), 
BINT(((long)0))); } 
{ /* Llib/kmp.scm 48 */
long BgL_iz00_459;
BgL_iz00_459 = ((long)0); 
{ /* Llib/kmp.scm 49 */
obj_t BgL_jz00_460;
BgL_jz00_460 = 
BINT(((long)-1)); 
{ /* Llib/kmp.scm 50 */
unsigned char BgL_cz00_461;
BgL_cz00_461 = ((unsigned char)'\000'); 
{ /* Llib/kmp.scm 51 */

{ /* Llib/kmp.scm 52 */
obj_t BgL_vectorz00_778;int BgL_kz00_779;obj_t BgL_objz00_780;
BgL_vectorz00_778 = BgL_tz00_458; 
BgL_kz00_779 = 
(int)(((long)0)); 
BgL_objz00_780 = BgL_jz00_460; 
{ /* Llib/kmp.scm 52 */
bool_t BgL_testz00_1375;
{ /* Llib/kmp.scm 52 */
int BgL_arg1379z00_782;
BgL_arg1379z00_782 = 
VECTOR_LENGTH(BgL_vectorz00_778); 
BgL_testz00_1375 = 
BOUND_CHECK(BgL_kz00_779, BgL_arg1379z00_782); } 
if(BgL_testz00_1375)
{ /* Llib/kmp.scm 52 */
VECTOR_SET(BgL_vectorz00_778,BgL_kz00_779,BgL_objz00_780); }  else 
{ /* Llib/kmp.scm 52 */
obj_t BgL_arg1367z00_783;obj_t BgL_arg1368z00_784;
BgL_arg1367z00_783 = BGl_symbol1568z00zz__kmpz00; 
{ /* Llib/kmp.scm 52 */
obj_t BgL_arg1371z00_786;
{ /* Llib/kmp.scm 52 */
long BgL_arg1374z00_788;
{ /* Llib/kmp.scm 52 */
int BgL_arg1376z00_789;
BgL_arg1376z00_789 = 
VECTOR_LENGTH(BgL_vectorz00_778); 
BgL_arg1374z00_788 = 
(
(long)(BgL_arg1376z00_789)-((long)1)); } 
BgL_arg1371z00_786 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1374z00_788, BNIL); } 
BgL_arg1368z00_784 = 
string_append_3(BGl_string1570z00zz__kmpz00, BgL_arg1371z00_786, BGl_string1571z00zz__kmpz00); } 
BGl_errorz00zz__errorz00(BgL_arg1367z00_783, BgL_arg1368z00_784, 
BINT(BgL_kz00_779)); } } } 
{ 

BgL_whilez00_462:
if(
(BgL_iz00_459<BgL_lpz00_457))
{ /* Llib/kmp.scm 54 */
{ /* Llib/kmp.scm 56 */
bool_t BgL_testz00_1388;
{ /* Llib/kmp.scm 56 */
unsigned char BgL_arg1140z00_470;
{ /* Llib/kmp.scm 56 */
unsigned char BgL_res1469z00_815;
{ /* Llib/kmp.scm 56 */
long BgL_kz00_799;
BgL_kz00_799 = BgL_iz00_459; 
{ /* Llib/kmp.scm 56 */
bool_t BgL_testz00_1389;
{ /* Llib/kmp.scm 56 */
long BgL_auxz00_1390;
BgL_auxz00_1390 = 
STRING_LENGTH(BgL_pz00_1); 
BgL_testz00_1389 = 
BOUND_CHECK(BgL_kz00_799, BgL_auxz00_1390); } 
if(BgL_testz00_1389)
{ /* Llib/kmp.scm 56 */
BgL_res1469z00_815 = 
STRING_REF(BgL_pz00_1, BgL_kz00_799); }  else 
{ /* Llib/kmp.scm 56 */
obj_t BgL_arg1255z00_802;obj_t BgL_arg1256z00_803;
BgL_arg1255z00_802 = BGl_symbol1572z00zz__kmpz00; 
BgL_arg1256z00_803 = 
string_append_3(BGl_string1570z00zz__kmpz00, 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(
STRING_LENGTH(BgL_pz00_1)-((long)1)), BNIL), BGl_string1571z00zz__kmpz00); 
{ /* Llib/kmp.scm 56 */
obj_t BgL_auxz00_1398;
{ /* Llib/kmp.scm 56 */
obj_t BgL_aux1486z00_1270;
BgL_aux1486z00_1270 = 
BGl_errorz00zz__errorz00(BgL_arg1255z00_802, BgL_arg1256z00_803, 
BINT(BgL_kz00_799)); 
if(
CHARP(BgL_aux1486z00_1270))
{ /* Llib/kmp.scm 56 */
BgL_auxz00_1398 = BgL_aux1486z00_1270
; }  else 
{ /* Llib/kmp.scm 56 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1576z00zz__kmpz00, BgL_aux1486z00_1270); 
exit( -1 );} } 
BgL_res1469z00_815 = 
CCHAR(BgL_auxz00_1398); } } } } 
BgL_arg1140z00_470 = BgL_res1469z00_815; } 
BgL_testz00_1388 = 
(BgL_arg1140z00_470==BgL_cz00_461); } 
if(BgL_testz00_1388)
{ /* Llib/kmp.scm 56 */
{ /* Llib/kmp.scm 57 */
long BgL_arg1135z00_465;long BgL_arg1136z00_466;
BgL_arg1135z00_465 = 
(BgL_iz00_459+((long)1)); 
{ /* Llib/kmp.scm 57 */
long BgL_za71za7_820;
{ /* Llib/kmp.scm 57 */
obj_t BgL_auxz00_1408;
{ /* Llib/kmp.scm 57 */
obj_t BgL_aux1488z00_1272;
BgL_aux1488z00_1272 = BgL_jz00_460; 
if(
INTEGERP(BgL_aux1488z00_1272))
{ /* Llib/kmp.scm 57 */
BgL_auxz00_1408 = BgL_aux1488z00_1272
; }  else 
{ /* Llib/kmp.scm 57 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_aux1488z00_1272); 
exit( -1 );} } 
BgL_za71za7_820 = 
(long)CINT(BgL_auxz00_1408); } 
BgL_arg1136z00_466 = 
(BgL_za71za7_820+((long)1)); } 
{ /* Llib/kmp.scm 57 */
obj_t BgL_vectorz00_822;int BgL_kz00_823;obj_t BgL_objz00_824;
BgL_vectorz00_822 = BgL_tz00_458; 
BgL_kz00_823 = 
(int)(BgL_arg1135z00_465); 
BgL_objz00_824 = 
BINT(BgL_arg1136z00_466); 
{ /* Llib/kmp.scm 57 */
bool_t BgL_testz00_1417;
{ /* Llib/kmp.scm 57 */
int BgL_arg1379z00_826;
BgL_arg1379z00_826 = 
VECTOR_LENGTH(BgL_vectorz00_822); 
BgL_testz00_1417 = 
BOUND_CHECK(BgL_kz00_823, BgL_arg1379z00_826); } 
if(BgL_testz00_1417)
{ /* Llib/kmp.scm 57 */
VECTOR_SET(BgL_vectorz00_822,BgL_kz00_823,BgL_objz00_824); }  else 
{ /* Llib/kmp.scm 57 */
obj_t BgL_arg1367z00_827;obj_t BgL_arg1368z00_828;
BgL_arg1367z00_827 = BGl_symbol1568z00zz__kmpz00; 
{ /* Llib/kmp.scm 57 */
obj_t BgL_arg1371z00_830;
{ /* Llib/kmp.scm 57 */
long BgL_arg1374z00_832;
{ /* Llib/kmp.scm 57 */
int BgL_arg1376z00_833;
BgL_arg1376z00_833 = 
VECTOR_LENGTH(BgL_vectorz00_822); 
BgL_arg1374z00_832 = 
(
(long)(BgL_arg1376z00_833)-((long)1)); } 
BgL_arg1371z00_830 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1374z00_832, BNIL); } 
BgL_arg1368z00_828 = 
string_append_3(BGl_string1570z00zz__kmpz00, BgL_arg1371z00_830, BGl_string1571z00zz__kmpz00); } 
BGl_errorz00zz__errorz00(BgL_arg1367z00_827, BgL_arg1368z00_828, 
BINT(BgL_kz00_823)); } } } } 
{ /* Llib/kmp.scm 58 */
long BgL_za71za7_840;
{ /* Llib/kmp.scm 58 */
obj_t BgL_auxz00_1428;
{ /* Llib/kmp.scm 58 */
obj_t BgL_aux1490z00_1274;
BgL_aux1490z00_1274 = BgL_jz00_460; 
if(
INTEGERP(BgL_aux1490z00_1274))
{ /* Llib/kmp.scm 58 */
BgL_auxz00_1428 = BgL_aux1490z00_1274
; }  else 
{ /* Llib/kmp.scm 58 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_aux1490z00_1274); 
exit( -1 );} } 
BgL_za71za7_840 = 
(long)CINT(BgL_auxz00_1428); } 
BgL_jz00_460 = 
BINT(
(BgL_za71za7_840+((long)1))); } 
BgL_iz00_459 = 
(BgL_iz00_459+((long)1)); }  else 
{ /* Llib/kmp.scm 60 */
bool_t BgL_testz00_1437;
{ /* Llib/kmp.scm 60 */
long BgL_n1z00_844;
{ /* Llib/kmp.scm 60 */
obj_t BgL_auxz00_1438;
{ /* Llib/kmp.scm 60 */
obj_t BgL_aux1492z00_1276;
BgL_aux1492z00_1276 = BgL_jz00_460; 
if(
INTEGERP(BgL_aux1492z00_1276))
{ /* Llib/kmp.scm 60 */
BgL_auxz00_1438 = BgL_aux1492z00_1276
; }  else 
{ /* Llib/kmp.scm 60 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_aux1492z00_1276); 
exit( -1 );} } 
BgL_n1z00_844 = 
(long)CINT(BgL_auxz00_1438); } 
BgL_testz00_1437 = 
(BgL_n1z00_844>((long)0)); } 
if(BgL_testz00_1437)
{ /* Llib/kmp.scm 61 */
obj_t BgL_vectorz00_846;int BgL_kz00_847;
BgL_vectorz00_846 = BgL_tz00_458; 
{ /* Llib/kmp.scm 61 */
obj_t BgL_auxz00_1445;
{ /* Llib/kmp.scm 61 */
obj_t BgL_aux1494z00_1278;
BgL_aux1494z00_1278 = BgL_jz00_460; 
if(
INTEGERP(BgL_aux1494z00_1278))
{ /* Llib/kmp.scm 61 */
BgL_auxz00_1445 = BgL_aux1494z00_1278
; }  else 
{ /* Llib/kmp.scm 61 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1578z00zz__kmpz00, BgL_aux1494z00_1278); 
exit( -1 );} } 
BgL_kz00_847 = 
CINT(BgL_auxz00_1445); } 
{ /* Llib/kmp.scm 61 */
bool_t BgL_testz00_1451;
{ /* Llib/kmp.scm 61 */
int BgL_arg1391z00_849;
BgL_arg1391z00_849 = 
VECTOR_LENGTH(BgL_vectorz00_846); 
BgL_testz00_1451 = 
BOUND_CHECK(BgL_kz00_847, BgL_arg1391z00_849); } 
if(BgL_testz00_1451)
{ /* Llib/kmp.scm 61 */
BgL_jz00_460 = 
VECTOR_REF(BgL_vectorz00_846,BgL_kz00_847); }  else 
{ /* Llib/kmp.scm 61 */
obj_t BgL_arg1381z00_850;obj_t BgL_arg1382z00_851;
BgL_arg1381z00_850 = BGl_symbol1579z00zz__kmpz00; 
{ /* Llib/kmp.scm 61 */
obj_t BgL_arg1385z00_853;
{ /* Llib/kmp.scm 61 */
long BgL_arg1387z00_855;
{ /* Llib/kmp.scm 61 */
int BgL_arg1389z00_856;
BgL_arg1389z00_856 = 
VECTOR_LENGTH(BgL_vectorz00_846); 
BgL_arg1387z00_855 = 
(
(long)(BgL_arg1389z00_856)-((long)1)); } 
BgL_arg1385z00_853 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1387z00_855, BNIL); } 
BgL_arg1382z00_851 = 
string_append_3(BGl_string1570z00zz__kmpz00, BgL_arg1385z00_853, BGl_string1571z00zz__kmpz00); } 
BgL_jz00_460 = 
BGl_errorz00zz__errorz00(BgL_arg1381z00_850, BgL_arg1382z00_851, 
BINT(BgL_kz00_847)); } } }  else 
{ /* Llib/kmp.scm 60 */
{ /* Llib/kmp.scm 63 */
long BgL_arg1138z00_468;
BgL_arg1138z00_468 = 
(BgL_iz00_459+((long)1)); 
{ /* Llib/kmp.scm 63 */
obj_t BgL_vectorz00_865;int BgL_kz00_866;obj_t BgL_objz00_867;
BgL_vectorz00_865 = BgL_tz00_458; 
BgL_kz00_866 = 
(int)(BgL_arg1138z00_468); 
BgL_objz00_867 = 
BINT(((long)0)); 
{ /* Llib/kmp.scm 63 */
bool_t BgL_testz00_1465;
{ /* Llib/kmp.scm 63 */
int BgL_arg1379z00_869;
BgL_arg1379z00_869 = 
VECTOR_LENGTH(BgL_vectorz00_865); 
BgL_testz00_1465 = 
BOUND_CHECK(BgL_kz00_866, BgL_arg1379z00_869); } 
if(BgL_testz00_1465)
{ /* Llib/kmp.scm 63 */
VECTOR_SET(BgL_vectorz00_865,BgL_kz00_866,BgL_objz00_867); }  else 
{ /* Llib/kmp.scm 63 */
obj_t BgL_arg1367z00_870;obj_t BgL_arg1368z00_871;
BgL_arg1367z00_870 = BGl_symbol1568z00zz__kmpz00; 
{ /* Llib/kmp.scm 63 */
obj_t BgL_arg1371z00_873;
{ /* Llib/kmp.scm 63 */
long BgL_arg1374z00_875;
{ /* Llib/kmp.scm 63 */
int BgL_arg1376z00_876;
BgL_arg1376z00_876 = 
VECTOR_LENGTH(BgL_vectorz00_865); 
BgL_arg1374z00_875 = 
(
(long)(BgL_arg1376z00_876)-((long)1)); } 
BgL_arg1371z00_873 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1374z00_875, BNIL); } 
BgL_arg1368z00_871 = 
string_append_3(BGl_string1570z00zz__kmpz00, BgL_arg1371z00_873, BGl_string1571z00zz__kmpz00); } 
BGl_errorz00zz__errorz00(BgL_arg1367z00_870, BgL_arg1368z00_871, 
BINT(BgL_kz00_866)); } } } } 
BgL_iz00_459 = 
(BgL_iz00_459+((long)1)); 
BgL_jz00_460 = 
BINT(((long)0)); } } } 
{ /* Llib/kmp.scm 66 */
unsigned char BgL_res1470z00_902;
{ /* Llib/kmp.scm 66 */
long BgL_kz00_886;
{ /* Llib/kmp.scm 66 */
obj_t BgL_auxz00_1478;
{ /* Llib/kmp.scm 66 */
obj_t BgL_aux1496z00_1280;
BgL_aux1496z00_1280 = BgL_jz00_460; 
if(
INTEGERP(BgL_aux1496z00_1280))
{ /* Llib/kmp.scm 66 */
BgL_auxz00_1478 = BgL_aux1496z00_1280
; }  else 
{ /* Llib/kmp.scm 66 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_aux1496z00_1280); 
exit( -1 );} } 
BgL_kz00_886 = 
(long)CINT(BgL_auxz00_1478); } 
{ /* Llib/kmp.scm 66 */
bool_t BgL_testz00_1484;
{ /* Llib/kmp.scm 66 */
long BgL_auxz00_1485;
BgL_auxz00_1485 = 
STRING_LENGTH(BgL_pz00_1); 
BgL_testz00_1484 = 
BOUND_CHECK(BgL_kz00_886, BgL_auxz00_1485); } 
if(BgL_testz00_1484)
{ /* Llib/kmp.scm 66 */
BgL_res1470z00_902 = 
STRING_REF(BgL_pz00_1, BgL_kz00_886); }  else 
{ /* Llib/kmp.scm 66 */
obj_t BgL_arg1255z00_889;obj_t BgL_arg1256z00_890;
BgL_arg1255z00_889 = BGl_symbol1572z00zz__kmpz00; 
BgL_arg1256z00_890 = 
string_append_3(BGl_string1570z00zz__kmpz00, 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(
STRING_LENGTH(BgL_pz00_1)-((long)1)), BNIL), BGl_string1571z00zz__kmpz00); 
{ /* Llib/kmp.scm 66 */
obj_t BgL_auxz00_1493;
{ /* Llib/kmp.scm 66 */
obj_t BgL_aux1498z00_1282;
BgL_aux1498z00_1282 = 
BGl_errorz00zz__errorz00(BgL_arg1255z00_889, BgL_arg1256z00_890, 
BINT(BgL_kz00_886)); 
if(
CHARP(BgL_aux1498z00_1282))
{ /* Llib/kmp.scm 66 */
BgL_auxz00_1493 = BgL_aux1498z00_1282
; }  else 
{ /* Llib/kmp.scm 66 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1576z00zz__kmpz00, BgL_aux1498z00_1282); 
exit( -1 );} } 
BgL_res1470z00_902 = 
CCHAR(BgL_auxz00_1493); } } } } 
BgL_cz00_461 = BgL_res1470z00_902; } 
goto BgL_whilez00_462;}  else 
{ /* Llib/kmp.scm 54 */((bool_t)0); } } 
return 
MAKE_PAIR(BgL_tz00_458, BgL_pz00_1);} } } } } } } 
}



/* _kmp-table1483 */
obj_t BGl__kmpzd2table1483zd2zz__kmpz00(obj_t BgL_envz00_1260, obj_t BgL_pz00_1261)
{ AN_OBJECT;
{ /* Llib/kmp.scm 46 */
{ /* Llib/kmp.scm 47 */
obj_t BgL_auxz00_1502;
if(
STRINGP(BgL_pz00_1261))
{ /* Llib/kmp.scm 47 */
BgL_auxz00_1502 = BgL_pz00_1261
; }  else 
{ /* Llib/kmp.scm 47 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1581z00zz__kmpz00, BGl_string1583z00zz__kmpz00, BgL_pz00_1261); 
exit( -1 );} 
return 
BGl_kmpzd2tablezd2zz__kmpz00(BgL_auxz00_1502);} } 
}



/* kmp-mmap */
BGL_EXPORTED_DEF long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t BgL_tpz00_2, obj_t BgL_mmz00_3, long BgL_mz00_4)
{ AN_OBJECT;
{ /* Llib/kmp.scm 73 */
{ /* Llib/kmp.scm 74 */
obj_t BgL_tz00_473;
BgL_tz00_473 = 
CAR(BgL_tpz00_2); 
{ /* Llib/kmp.scm 74 */
obj_t BgL_pz00_474;
BgL_pz00_474 = 
CDR(BgL_tpz00_2); 
{ /* Llib/kmp.scm 75 */
long BgL_lsz00_475;
BgL_lsz00_475 = 
BGL_MMAP_LENGTH(BgL_mmz00_3); 
{ /* Llib/kmp.scm 76 */
long BgL_lpz00_476;
{ /* Llib/kmp.scm 77 */
obj_t BgL_stringz00_906;
if(
STRINGP(BgL_pz00_474))
{ /* Llib/kmp.scm 77 */
BgL_stringz00_906 = BgL_pz00_474; }  else 
{ /* Llib/kmp.scm 77 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1584z00zz__kmpz00, BGl_string1583z00zz__kmpz00, BgL_pz00_474); 
exit( -1 );} 
BgL_lpz00_476 = 
STRING_LENGTH(BgL_stringz00_906); } 
{ /* Llib/kmp.scm 77 */

{ 
obj_t BgL_iz00_477;
BgL_iz00_477 = 
BINT(((long)0)); 
BgL_whilez00_478:
{ /* Llib/kmp.scm 80 */
bool_t BgL_testz00_1516;
{ /* Llib/kmp.scm 80 */
long BgL_n1z00_907;
{ /* Llib/kmp.scm 80 */
obj_t BgL_auxz00_1517;
if(
INTEGERP(BgL_iz00_477))
{ /* Llib/kmp.scm 80 */
BgL_auxz00_1517 = BgL_iz00_477
; }  else 
{ /* Llib/kmp.scm 80 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_477); 
exit( -1 );} 
BgL_n1z00_907 = 
(long)CINT(BgL_auxz00_1517); } 
BgL_testz00_1516 = 
(BgL_n1z00_907==BgL_lpz00_476); } 
if(BgL_testz00_1516)
{ /* Llib/kmp.scm 80 */
return BgL_mz00_4;}  else 
{ /* Llib/kmp.scm 82 */
bool_t BgL_testz00_1524;
{ /* Llib/kmp.scm 82 */
long BgL_n2z00_912;
BgL_n2z00_912 = 
ELONG_TO_LONG(BgL_lsz00_475); 
{ /* Llib/kmp.scm 82 */
long BgL_auxz00_1526;
{ /* Llib/kmp.scm 82 */
long BgL_za71za7_909;long BgL_za72za7_910;
{ /* Llib/kmp.scm 82 */
obj_t BgL_auxz00_1527;
if(
INTEGERP(BgL_iz00_477))
{ /* Llib/kmp.scm 82 */
BgL_auxz00_1527 = BgL_iz00_477
; }  else 
{ /* Llib/kmp.scm 82 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_477); 
exit( -1 );} 
BgL_za71za7_909 = 
(long)CINT(BgL_auxz00_1527); } 
BgL_za72za7_910 = 
ELONG_TO_LONG(BgL_mz00_4); 
BgL_auxz00_1526 = 
(BgL_za71za7_909+BgL_za72za7_910); } 
BgL_testz00_1524 = 
(BgL_auxz00_1526>=BgL_n2z00_912); } } 
if(BgL_testz00_1524)
{ /* Llib/kmp.scm 82 */
return ((long)-1);}  else 
{ /* Llib/kmp.scm 85 */
bool_t BgL_testz00_1536;
{ /* Llib/kmp.scm 85 */
unsigned char BgL_arg1149z00_486;unsigned char BgL_arg1150z00_487;
{ /* Llib/kmp.scm 85 */
long BgL_arg1151z00_488;
{ /* Llib/kmp.scm 85 */
long BgL_za71za7_913;long BgL_za72za7_914;
{ /* Llib/kmp.scm 85 */
obj_t BgL_auxz00_1537;
if(
INTEGERP(BgL_iz00_477))
{ /* Llib/kmp.scm 85 */
BgL_auxz00_1537 = BgL_iz00_477
; }  else 
{ /* Llib/kmp.scm 85 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_477); 
exit( -1 );} 
BgL_za71za7_913 = 
(long)CINT(BgL_auxz00_1537); } 
BgL_za72za7_914 = 
ELONG_TO_LONG(BgL_mz00_4); 
BgL_arg1151z00_488 = 
(BgL_za71za7_913+BgL_za72za7_914); } 
{ /* Llib/kmp.scm 85 */
long BgL_auxz00_1545;
BgL_auxz00_1545 = 
LONG_TO_ELONG(BgL_arg1151z00_488); 
BgL_arg1149z00_486 = 
BGL_MMAP_REF(BgL_mmz00_3, BgL_auxz00_1545); } } 
{ /* Llib/kmp.scm 85 */
unsigned char BgL_res1471z00_932;
{ /* Llib/kmp.scm 85 */
obj_t BgL_stringz00_915;long BgL_kz00_916;
if(
STRINGP(BgL_pz00_474))
{ /* Llib/kmp.scm 85 */
BgL_stringz00_915 = BgL_pz00_474; }  else 
{ /* Llib/kmp.scm 85 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1583z00zz__kmpz00, BgL_pz00_474); 
exit( -1 );} 
{ /* Llib/kmp.scm 85 */
obj_t BgL_auxz00_1552;
if(
INTEGERP(BgL_iz00_477))
{ /* Llib/kmp.scm 85 */
BgL_auxz00_1552 = BgL_iz00_477
; }  else 
{ /* Llib/kmp.scm 85 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_477); 
exit( -1 );} 
BgL_kz00_916 = 
(long)CINT(BgL_auxz00_1552); } 
{ /* Llib/kmp.scm 85 */
bool_t BgL_testz00_1558;
{ /* Llib/kmp.scm 85 */
long BgL_auxz00_1559;
BgL_auxz00_1559 = 
STRING_LENGTH(BgL_stringz00_915); 
BgL_testz00_1558 = 
BOUND_CHECK(BgL_kz00_916, BgL_auxz00_1559); } 
if(BgL_testz00_1558)
{ /* Llib/kmp.scm 85 */
BgL_res1471z00_932 = 
STRING_REF(BgL_stringz00_915, BgL_kz00_916); }  else 
{ /* Llib/kmp.scm 85 */
obj_t BgL_arg1255z00_919;obj_t BgL_arg1256z00_920;
BgL_arg1255z00_919 = BGl_symbol1572z00zz__kmpz00; 
BgL_arg1256z00_920 = 
string_append_3(BGl_string1570z00zz__kmpz00, 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(
STRING_LENGTH(BgL_stringz00_915)-((long)1)), BNIL), BGl_string1571z00zz__kmpz00); 
{ /* Llib/kmp.scm 85 */
obj_t BgL_auxz00_1567;
{ /* Llib/kmp.scm 85 */
obj_t BgL_aux1514z00_1298;
BgL_aux1514z00_1298 = 
BGl_errorz00zz__errorz00(BgL_arg1255z00_919, BgL_arg1256z00_920, 
BINT(BgL_kz00_916)); 
if(
CHARP(BgL_aux1514z00_1298))
{ /* Llib/kmp.scm 85 */
BgL_auxz00_1567 = BgL_aux1514z00_1298
; }  else 
{ /* Llib/kmp.scm 85 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1576z00zz__kmpz00, BgL_aux1514z00_1298); 
exit( -1 );} } 
BgL_res1471z00_932 = 
CCHAR(BgL_auxz00_1567); } } } } 
BgL_arg1150z00_487 = BgL_res1471z00_932; } 
BgL_testz00_1536 = 
(BgL_arg1149z00_486==BgL_arg1150z00_487); } 
if(BgL_testz00_1536)
{ /* Llib/kmp.scm 86 */
long BgL_arg1146z00_482;
{ /* Llib/kmp.scm 86 */
long BgL_za71za7_935;
{ /* Llib/kmp.scm 86 */
obj_t BgL_auxz00_1576;
if(
INTEGERP(BgL_iz00_477))
{ /* Llib/kmp.scm 86 */
BgL_auxz00_1576 = BgL_iz00_477
; }  else 
{ /* Llib/kmp.scm 86 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_477); 
exit( -1 );} 
BgL_za71za7_935 = 
(long)CINT(BgL_auxz00_1576); } 
BgL_arg1146z00_482 = 
(BgL_za71za7_935+((long)1)); } 
{ 
obj_t BgL_iz00_1583;
BgL_iz00_1583 = 
BINT(BgL_arg1146z00_482); 
BgL_iz00_477 = BgL_iz00_1583; 
goto BgL_whilez00_478;} }  else 
{ /* Llib/kmp.scm 87 */
obj_t BgL_tiz00_483;
{ /* Llib/kmp.scm 87 */
obj_t BgL_vectorz00_937;int BgL_kz00_938;
if(
VECTORP(BgL_tz00_473))
{ /* Llib/kmp.scm 87 */
BgL_vectorz00_937 = BgL_tz00_473; }  else 
{ /* Llib/kmp.scm 87 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1586z00zz__kmpz00, BgL_tz00_473); 
exit( -1 );} 
{ /* Llib/kmp.scm 87 */
obj_t BgL_auxz00_1589;
if(
INTEGERP(BgL_iz00_477))
{ /* Llib/kmp.scm 87 */
BgL_auxz00_1589 = BgL_iz00_477
; }  else 
{ /* Llib/kmp.scm 87 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1578z00zz__kmpz00, BgL_iz00_477); 
exit( -1 );} 
BgL_kz00_938 = 
CINT(BgL_auxz00_1589); } 
{ /* Llib/kmp.scm 87 */
bool_t BgL_testz00_1595;
{ /* Llib/kmp.scm 87 */
int BgL_arg1391z00_940;
BgL_arg1391z00_940 = 
VECTOR_LENGTH(BgL_vectorz00_937); 
BgL_testz00_1595 = 
BOUND_CHECK(BgL_kz00_938, BgL_arg1391z00_940); } 
if(BgL_testz00_1595)
{ /* Llib/kmp.scm 87 */
BgL_tiz00_483 = 
VECTOR_REF(BgL_vectorz00_937,BgL_kz00_938); }  else 
{ /* Llib/kmp.scm 87 */
obj_t BgL_arg1381z00_941;obj_t BgL_arg1382z00_942;
BgL_arg1381z00_941 = BGl_symbol1579z00zz__kmpz00; 
{ /* Llib/kmp.scm 87 */
obj_t BgL_arg1385z00_944;
{ /* Llib/kmp.scm 87 */
long BgL_arg1387z00_946;
{ /* Llib/kmp.scm 87 */
int BgL_arg1389z00_947;
BgL_arg1389z00_947 = 
VECTOR_LENGTH(BgL_vectorz00_937); 
BgL_arg1387z00_946 = 
(
(long)(BgL_arg1389z00_947)-((long)1)); } 
BgL_arg1385z00_944 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1387z00_946, BNIL); } 
BgL_arg1382z00_942 = 
string_append_3(BGl_string1570z00zz__kmpz00, BgL_arg1385z00_944, BGl_string1571z00zz__kmpz00); } 
BgL_tiz00_483 = 
BGl_errorz00zz__errorz00(BgL_arg1381z00_941, BgL_arg1382z00_942, 
BINT(BgL_kz00_938)); } } } 
{ /* Llib/kmp.scm 88 */
long BgL_za71za7_956;
BgL_za71za7_956 = 
ELONG_TO_LONG(BgL_mz00_4); 
{ /* Llib/kmp.scm 88 */
long BgL_auxz00_1607;
{ /* Llib/kmp.scm 88 */
long BgL_auxz00_1608;
{ /* Llib/kmp.scm 88 */
long BgL_za71za7_954;long BgL_za72za7_955;
{ /* Llib/kmp.scm 88 */
obj_t BgL_auxz00_1609;
if(
INTEGERP(BgL_iz00_477))
{ /* Llib/kmp.scm 88 */
BgL_auxz00_1609 = BgL_iz00_477
; }  else 
{ /* Llib/kmp.scm 88 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_477); 
exit( -1 );} 
BgL_za71za7_954 = 
(long)CINT(BgL_auxz00_1609); } 
{ /* Llib/kmp.scm 88 */
obj_t BgL_auxz00_1615;
if(
INTEGERP(BgL_tiz00_483))
{ /* Llib/kmp.scm 88 */
BgL_auxz00_1615 = BgL_tiz00_483
; }  else 
{ /* Llib/kmp.scm 88 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_tiz00_483); 
exit( -1 );} 
BgL_za72za7_955 = 
(long)CINT(BgL_auxz00_1615); } 
BgL_auxz00_1608 = 
(BgL_za71za7_954-BgL_za72za7_955); } 
BgL_auxz00_1607 = 
(BgL_za71za7_956+BgL_auxz00_1608); } 
BgL_mz00_4 = 
LONG_TO_ELONG(BgL_auxz00_1607); } } 
{ /* Llib/kmp.scm 89 */
bool_t BgL_testz00_1624;
{ /* Llib/kmp.scm 89 */
long BgL_n1z00_958;
{ /* Llib/kmp.scm 89 */
obj_t BgL_auxz00_1625;
if(
INTEGERP(BgL_iz00_477))
{ /* Llib/kmp.scm 89 */
BgL_auxz00_1625 = BgL_iz00_477
; }  else 
{ /* Llib/kmp.scm 89 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_477); 
exit( -1 );} 
BgL_n1z00_958 = 
(long)CINT(BgL_auxz00_1625); } 
BgL_testz00_1624 = 
(BgL_n1z00_958>((long)0)); } 
if(BgL_testz00_1624)
{ 
obj_t BgL_iz00_1632;
BgL_iz00_1632 = BgL_tiz00_483; 
BgL_iz00_477 = BgL_iz00_1632; 
goto BgL_whilez00_478;}  else 
{ 

goto BgL_whilez00_478;} } } } } } } } } } } } } 
}



/* _kmp-mmap1484 */
obj_t BGl__kmpzd2mmap1484zd2zz__kmpz00(obj_t BgL_envz00_1262, obj_t BgL_tpz00_1263, obj_t BgL_mmz00_1264, obj_t BgL_mz00_1265)
{ AN_OBJECT;
{ /* Llib/kmp.scm 73 */
{ /* Llib/kmp.scm 74 */
long BgL_auxz00_1634;
{ /* Llib/kmp.scm 74 */
long BgL_auxz00_1645;obj_t BgL_auxz00_1640;obj_t BgL_auxz00_1635;
{ /* Llib/kmp.scm 74 */
obj_t BgL_auxz00_1646;
if(
ELONGP(BgL_mz00_1265))
{ /* Llib/kmp.scm 74 */
BgL_auxz00_1646 = BgL_mz00_1265
; }  else 
{ /* Llib/kmp.scm 74 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1587z00zz__kmpz00, BGl_string1591z00zz__kmpz00, BgL_mz00_1265); 
exit( -1 );} 
BgL_auxz00_1645 = 
BELONG_TO_LONG(BgL_auxz00_1646); } 
if(
BGL_MMAPP(BgL_mmz00_1264))
{ /* Llib/kmp.scm 74 */
BgL_auxz00_1640 = BgL_mmz00_1264
; }  else 
{ /* Llib/kmp.scm 74 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1587z00zz__kmpz00, BGl_string1590z00zz__kmpz00, BgL_mmz00_1264); 
exit( -1 );} 
if(
PAIRP(BgL_tpz00_1263))
{ /* Llib/kmp.scm 74 */
BgL_auxz00_1635 = BgL_tpz00_1263
; }  else 
{ /* Llib/kmp.scm 74 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1587z00zz__kmpz00, BGl_string1589z00zz__kmpz00, BgL_tpz00_1263); 
exit( -1 );} 
BgL_auxz00_1634 = 
BGl_kmpzd2mmapzd2zz__kmpz00(BgL_auxz00_1635, BgL_auxz00_1640, BgL_auxz00_1645); } 
return 
LONG_TO_BELONG(BgL_auxz00_1634);} } 
}



/* kmp-string */
BGL_EXPORTED_DEF long BGl_kmpzd2stringzd2zz__kmpz00(obj_t BgL_tpz00_5, char * BgL_strz00_6, long BgL_mz00_7)
{ AN_OBJECT;
{ /* Llib/kmp.scm 96 */
{ /* Llib/kmp.scm 97 */
obj_t BgL_tz00_490;
BgL_tz00_490 = 
CAR(BgL_tpz00_5); 
{ /* Llib/kmp.scm 97 */
obj_t BgL_pz00_491;
BgL_pz00_491 = 
CDR(BgL_tpz00_5); 
{ /* Llib/kmp.scm 98 */
long BgL_lsz00_492;
BgL_lsz00_492 = 
STRING_LENGTH(
string_to_bstring(BgL_strz00_6)); 
{ /* Llib/kmp.scm 99 */
long BgL_lpz00_493;
{ /* Llib/kmp.scm 100 */
obj_t BgL_stringz00_963;
if(
STRINGP(BgL_pz00_491))
{ /* Llib/kmp.scm 100 */
BgL_stringz00_963 = BgL_pz00_491; }  else 
{ /* Llib/kmp.scm 100 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1592z00zz__kmpz00, BGl_string1583z00zz__kmpz00, BgL_pz00_491); 
exit( -1 );} 
BgL_lpz00_493 = 
STRING_LENGTH(BgL_stringz00_963); } 
{ /* Llib/kmp.scm 100 */

{ 
obj_t BgL_iz00_494;
BgL_iz00_494 = 
BINT(((long)0)); 
BgL_whilez00_495:
{ /* Llib/kmp.scm 103 */
bool_t BgL_testz00_1663;
{ /* Llib/kmp.scm 103 */
long BgL_n1z00_964;
{ /* Llib/kmp.scm 103 */
obj_t BgL_auxz00_1664;
if(
INTEGERP(BgL_iz00_494))
{ /* Llib/kmp.scm 103 */
BgL_auxz00_1664 = BgL_iz00_494
; }  else 
{ /* Llib/kmp.scm 103 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_494); 
exit( -1 );} 
BgL_n1z00_964 = 
(long)CINT(BgL_auxz00_1664); } 
BgL_testz00_1663 = 
(BgL_n1z00_964==BgL_lpz00_493); } 
if(BgL_testz00_1663)
{ /* Llib/kmp.scm 103 */
return BgL_mz00_7;}  else 
{ /* Llib/kmp.scm 105 */
bool_t BgL_testz00_1671;
{ /* Llib/kmp.scm 105 */
long BgL_auxz00_1672;
{ /* Llib/kmp.scm 105 */
long BgL_za71za7_966;long BgL_za72za7_967;
{ /* Llib/kmp.scm 105 */
obj_t BgL_auxz00_1673;
if(
INTEGERP(BgL_iz00_494))
{ /* Llib/kmp.scm 105 */
BgL_auxz00_1673 = BgL_iz00_494
; }  else 
{ /* Llib/kmp.scm 105 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_494); 
exit( -1 );} 
BgL_za71za7_966 = 
(long)CINT(BgL_auxz00_1673); } 
BgL_za72za7_967 = BgL_mz00_7; 
BgL_auxz00_1672 = 
(BgL_za71za7_966+BgL_za72za7_967); } 
BgL_testz00_1671 = 
(BgL_auxz00_1672>=BgL_lsz00_492); } 
if(BgL_testz00_1671)
{ /* Llib/kmp.scm 105 */
return ((long)-1);}  else 
{ /* Llib/kmp.scm 108 */
bool_t BgL_testz00_1681;
{ /* Llib/kmp.scm 108 */
unsigned char BgL_arg1159z00_503;unsigned char BgL_arg1160z00_504;
{ /* Llib/kmp.scm 108 */
long BgL_arg1161z00_505;
{ /* Llib/kmp.scm 108 */
long BgL_za71za7_970;long BgL_za72za7_971;
{ /* Llib/kmp.scm 108 */
obj_t BgL_auxz00_1682;
if(
INTEGERP(BgL_iz00_494))
{ /* Llib/kmp.scm 108 */
BgL_auxz00_1682 = BgL_iz00_494
; }  else 
{ /* Llib/kmp.scm 108 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_494); 
exit( -1 );} 
BgL_za71za7_970 = 
(long)CINT(BgL_auxz00_1682); } 
BgL_za72za7_971 = BgL_mz00_7; 
BgL_arg1161z00_505 = 
(BgL_za71za7_970+BgL_za72za7_971); } 
{ /* Llib/kmp.scm 108 */
unsigned char BgL_res1472z00_989;
{ /* Llib/kmp.scm 108 */
obj_t BgL_stringz00_972;
BgL_stringz00_972 = 
string_to_bstring(BgL_strz00_6); 
{ /* Llib/kmp.scm 108 */
bool_t BgL_testz00_1690;
{ /* Llib/kmp.scm 108 */
long BgL_auxz00_1691;
BgL_auxz00_1691 = 
STRING_LENGTH(BgL_stringz00_972); 
BgL_testz00_1690 = 
BOUND_CHECK(BgL_arg1161z00_505, BgL_auxz00_1691); } 
if(BgL_testz00_1690)
{ /* Llib/kmp.scm 108 */
BgL_res1472z00_989 = 
STRING_REF(BgL_stringz00_972, BgL_arg1161z00_505); }  else 
{ /* Llib/kmp.scm 108 */
obj_t BgL_arg1255z00_976;obj_t BgL_arg1256z00_977;
BgL_arg1255z00_976 = BGl_symbol1572z00zz__kmpz00; 
BgL_arg1256z00_977 = 
string_append_3(BGl_string1570z00zz__kmpz00, 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(
STRING_LENGTH(BgL_stringz00_972)-((long)1)), BNIL), BGl_string1571z00zz__kmpz00); 
{ /* Llib/kmp.scm 108 */
obj_t BgL_auxz00_1699;
{ /* Llib/kmp.scm 108 */
obj_t BgL_aux1542z00_1326;
BgL_aux1542z00_1326 = 
BGl_errorz00zz__errorz00(BgL_arg1255z00_976, BgL_arg1256z00_977, 
BINT(BgL_arg1161z00_505)); 
if(
CHARP(BgL_aux1542z00_1326))
{ /* Llib/kmp.scm 108 */
BgL_auxz00_1699 = BgL_aux1542z00_1326
; }  else 
{ /* Llib/kmp.scm 108 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1576z00zz__kmpz00, BgL_aux1542z00_1326); 
exit( -1 );} } 
BgL_res1472z00_989 = 
CCHAR(BgL_auxz00_1699); } } } } 
BgL_arg1159z00_503 = BgL_res1472z00_989; } } 
{ /* Llib/kmp.scm 108 */
unsigned char BgL_res1473z00_1007;
{ /* Llib/kmp.scm 108 */
obj_t BgL_stringz00_990;long BgL_kz00_991;
if(
STRINGP(BgL_pz00_491))
{ /* Llib/kmp.scm 108 */
BgL_stringz00_990 = BgL_pz00_491; }  else 
{ /* Llib/kmp.scm 108 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1583z00zz__kmpz00, BgL_pz00_491); 
exit( -1 );} 
{ /* Llib/kmp.scm 108 */
obj_t BgL_auxz00_1711;
if(
INTEGERP(BgL_iz00_494))
{ /* Llib/kmp.scm 108 */
BgL_auxz00_1711 = BgL_iz00_494
; }  else 
{ /* Llib/kmp.scm 108 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_494); 
exit( -1 );} 
BgL_kz00_991 = 
(long)CINT(BgL_auxz00_1711); } 
{ /* Llib/kmp.scm 108 */
bool_t BgL_testz00_1717;
{ /* Llib/kmp.scm 108 */
long BgL_auxz00_1718;
BgL_auxz00_1718 = 
STRING_LENGTH(BgL_stringz00_990); 
BgL_testz00_1717 = 
BOUND_CHECK(BgL_kz00_991, BgL_auxz00_1718); } 
if(BgL_testz00_1717)
{ /* Llib/kmp.scm 108 */
BgL_res1473z00_1007 = 
STRING_REF(BgL_stringz00_990, BgL_kz00_991); }  else 
{ /* Llib/kmp.scm 108 */
obj_t BgL_arg1255z00_994;obj_t BgL_arg1256z00_995;
BgL_arg1255z00_994 = BGl_symbol1572z00zz__kmpz00; 
BgL_arg1256z00_995 = 
string_append_3(BGl_string1570z00zz__kmpz00, 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(
STRING_LENGTH(BgL_stringz00_990)-((long)1)), BNIL), BGl_string1571z00zz__kmpz00); 
{ /* Llib/kmp.scm 108 */
obj_t BgL_auxz00_1726;
{ /* Llib/kmp.scm 108 */
obj_t BgL_aux1548z00_1332;
BgL_aux1548z00_1332 = 
BGl_errorz00zz__errorz00(BgL_arg1255z00_994, BgL_arg1256z00_995, 
BINT(BgL_kz00_991)); 
if(
CHARP(BgL_aux1548z00_1332))
{ /* Llib/kmp.scm 108 */
BgL_auxz00_1726 = BgL_aux1548z00_1332
; }  else 
{ /* Llib/kmp.scm 108 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1576z00zz__kmpz00, BgL_aux1548z00_1332); 
exit( -1 );} } 
BgL_res1473z00_1007 = 
CCHAR(BgL_auxz00_1726); } } } } 
BgL_arg1160z00_504 = BgL_res1473z00_1007; } 
BgL_testz00_1681 = 
(BgL_arg1159z00_503==BgL_arg1160z00_504); } 
if(BgL_testz00_1681)
{ /* Llib/kmp.scm 109 */
long BgL_arg1156z00_499;
{ /* Llib/kmp.scm 109 */
long BgL_za71za7_1010;
{ /* Llib/kmp.scm 109 */
obj_t BgL_auxz00_1735;
if(
INTEGERP(BgL_iz00_494))
{ /* Llib/kmp.scm 109 */
BgL_auxz00_1735 = BgL_iz00_494
; }  else 
{ /* Llib/kmp.scm 109 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_494); 
exit( -1 );} 
BgL_za71za7_1010 = 
(long)CINT(BgL_auxz00_1735); } 
BgL_arg1156z00_499 = 
(BgL_za71za7_1010+((long)1)); } 
{ 
obj_t BgL_iz00_1742;
BgL_iz00_1742 = 
BINT(BgL_arg1156z00_499); 
BgL_iz00_494 = BgL_iz00_1742; 
goto BgL_whilez00_495;} }  else 
{ /* Llib/kmp.scm 110 */
obj_t BgL_tiz00_500;
{ /* Llib/kmp.scm 110 */
obj_t BgL_vectorz00_1012;int BgL_kz00_1013;
if(
VECTORP(BgL_tz00_490))
{ /* Llib/kmp.scm 110 */
BgL_vectorz00_1012 = BgL_tz00_490; }  else 
{ /* Llib/kmp.scm 110 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1586z00zz__kmpz00, BgL_tz00_490); 
exit( -1 );} 
{ /* Llib/kmp.scm 110 */
obj_t BgL_auxz00_1748;
if(
INTEGERP(BgL_iz00_494))
{ /* Llib/kmp.scm 110 */
BgL_auxz00_1748 = BgL_iz00_494
; }  else 
{ /* Llib/kmp.scm 110 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1578z00zz__kmpz00, BgL_iz00_494); 
exit( -1 );} 
BgL_kz00_1013 = 
CINT(BgL_auxz00_1748); } 
{ /* Llib/kmp.scm 110 */
bool_t BgL_testz00_1754;
{ /* Llib/kmp.scm 110 */
int BgL_arg1391z00_1015;
BgL_arg1391z00_1015 = 
VECTOR_LENGTH(BgL_vectorz00_1012); 
BgL_testz00_1754 = 
BOUND_CHECK(BgL_kz00_1013, BgL_arg1391z00_1015); } 
if(BgL_testz00_1754)
{ /* Llib/kmp.scm 110 */
BgL_tiz00_500 = 
VECTOR_REF(BgL_vectorz00_1012,BgL_kz00_1013); }  else 
{ /* Llib/kmp.scm 110 */
obj_t BgL_arg1381z00_1016;obj_t BgL_arg1382z00_1017;
BgL_arg1381z00_1016 = BGl_symbol1579z00zz__kmpz00; 
{ /* Llib/kmp.scm 110 */
obj_t BgL_arg1385z00_1019;
{ /* Llib/kmp.scm 110 */
long BgL_arg1387z00_1021;
{ /* Llib/kmp.scm 110 */
int BgL_arg1389z00_1022;
BgL_arg1389z00_1022 = 
VECTOR_LENGTH(BgL_vectorz00_1012); 
BgL_arg1387z00_1021 = 
(
(long)(BgL_arg1389z00_1022)-((long)1)); } 
BgL_arg1385z00_1019 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1387z00_1021, BNIL); } 
BgL_arg1382z00_1017 = 
string_append_3(BGl_string1570z00zz__kmpz00, BgL_arg1385z00_1019, BGl_string1571z00zz__kmpz00); } 
BgL_tiz00_500 = 
BGl_errorz00zz__errorz00(BgL_arg1381z00_1016, BgL_arg1382z00_1017, 
BINT(BgL_kz00_1013)); } } } 
{ /* Llib/kmp.scm 111 */
long BgL_za71za7_1031;
BgL_za71za7_1031 = BgL_mz00_7; 
{ /* Llib/kmp.scm 111 */
long BgL_auxz00_1765;
{ /* Llib/kmp.scm 111 */
long BgL_za71za7_1029;long BgL_za72za7_1030;
{ /* Llib/kmp.scm 111 */
obj_t BgL_auxz00_1766;
if(
INTEGERP(BgL_iz00_494))
{ /* Llib/kmp.scm 111 */
BgL_auxz00_1766 = BgL_iz00_494
; }  else 
{ /* Llib/kmp.scm 111 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_494); 
exit( -1 );} 
BgL_za71za7_1029 = 
(long)CINT(BgL_auxz00_1766); } 
{ /* Llib/kmp.scm 111 */
obj_t BgL_auxz00_1772;
if(
INTEGERP(BgL_tiz00_500))
{ /* Llib/kmp.scm 111 */
BgL_auxz00_1772 = BgL_tiz00_500
; }  else 
{ /* Llib/kmp.scm 111 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_tiz00_500); 
exit( -1 );} 
BgL_za72za7_1030 = 
(long)CINT(BgL_auxz00_1772); } 
BgL_auxz00_1765 = 
(BgL_za71za7_1029-BgL_za72za7_1030); } 
BgL_mz00_7 = 
(BgL_za71za7_1031+BgL_auxz00_1765); } } 
{ /* Llib/kmp.scm 112 */
bool_t BgL_testz00_1780;
{ /* Llib/kmp.scm 112 */
long BgL_n1z00_1033;
{ /* Llib/kmp.scm 112 */
obj_t BgL_auxz00_1781;
if(
INTEGERP(BgL_iz00_494))
{ /* Llib/kmp.scm 112 */
BgL_auxz00_1781 = BgL_iz00_494
; }  else 
{ /* Llib/kmp.scm 112 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1574z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_iz00_494); 
exit( -1 );} 
BgL_n1z00_1033 = 
(long)CINT(BgL_auxz00_1781); } 
BgL_testz00_1780 = 
(BgL_n1z00_1033>((long)0)); } 
if(BgL_testz00_1780)
{ 
obj_t BgL_iz00_1788;
BgL_iz00_1788 = BgL_tiz00_500; 
BgL_iz00_494 = BgL_iz00_1788; 
goto BgL_whilez00_495;}  else 
{ 

goto BgL_whilez00_495;} } } } } } } } } } } } } 
}



/* _kmp-string1485 */
obj_t BGl__kmpzd2string1485zd2zz__kmpz00(obj_t BgL_envz00_1266, obj_t BgL_tpz00_1267, obj_t BgL_strz00_1268, obj_t BgL_mz00_1269)
{ AN_OBJECT;
{ /* Llib/kmp.scm 96 */
{ /* Llib/kmp.scm 97 */
long BgL_auxz00_1790;
{ /* Llib/kmp.scm 97 */
long BgL_auxz00_1803;char * BgL_auxz00_1796;obj_t BgL_auxz00_1791;
{ /* Llib/kmp.scm 97 */
obj_t BgL_auxz00_1804;
if(
INTEGERP(BgL_mz00_1269))
{ /* Llib/kmp.scm 97 */
BgL_auxz00_1804 = BgL_mz00_1269
; }  else 
{ /* Llib/kmp.scm 97 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1594z00zz__kmpz00, BGl_string1577z00zz__kmpz00, BgL_mz00_1269); 
exit( -1 );} 
BgL_auxz00_1803 = 
(long)CINT(BgL_auxz00_1804); } 
{ /* Llib/kmp.scm 97 */
obj_t BgL_auxz00_1797;
if(
STRINGP(BgL_strz00_1268))
{ /* Llib/kmp.scm 97 */
BgL_auxz00_1797 = BgL_strz00_1268
; }  else 
{ /* Llib/kmp.scm 97 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1594z00zz__kmpz00, BGl_string1596z00zz__kmpz00, BgL_strz00_1268); 
exit( -1 );} 
BgL_auxz00_1796 = 
BSTRING_TO_STRING(BgL_auxz00_1797); } 
if(
PAIRP(BgL_tpz00_1267))
{ /* Llib/kmp.scm 97 */
BgL_auxz00_1791 = BgL_tpz00_1267
; }  else 
{ /* Llib/kmp.scm 97 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1594z00zz__kmpz00, BGl_string1589z00zz__kmpz00, BgL_tpz00_1267); 
exit( -1 );} 
BgL_auxz00_1790 = 
BGl_kmpzd2stringzd2zz__kmpz00(BgL_auxz00_1791, BgL_auxz00_1796, BgL_auxz00_1803); } 
return 
BINT(BgL_auxz00_1790);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00()
{ AN_OBJECT;
{ /* Llib/kmp.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)215971449), 
BSTRING_TO_STRING(BGl_string1597z00zz__kmpz00));} 
}

#ifdef __cplusplus
}
#endif
