/*===========================================================================*/
/*   (Lalr/rewrite.scm)                                                      */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Lalr/rewrite.scm -indent -o objs/obj_u/Lalr/rewrite.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__lalr_rewritez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__lalr_globalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_za2plistza2z00zz__lalr_rewritez00 = BUNSPEC;
	static bool_t BGl_makezd2symzd2tablez00zz__lalr_rewritez00();
	static obj_t BGl_toplevelzd2initzd2zz__lalr_rewritez00();
	static obj_t BGl__rewritezd2grammarz12zc0zz__lalr_rewritez00(obj_t, obj_t);
	static obj_t BGl_list1541z00zz__lalr_rewritez00 = BUNSPEC;
	static obj_t BGl_list1550z00zz__lalr_rewritez00 = BUNSPEC;
	extern long bgl_list_length(obj_t);
	static obj_t BGl_list1559z00zz__lalr_rewritez00 = BUNSPEC;
	static long BGl_za2maxzd2ntza2zd2zz__lalr_rewritez00;
	extern obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
	static long BGl_setzd2ntzd2noz12z12zz__lalr_rewritez00(obj_t);
	extern obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rewritezd2grammarz12zc0zz__lalr_rewritez00(obj_t);
	extern obj_t BGl_nitemsz00zz__lalr_globalz00;
	static obj_t BGl_cnstzd2initzd2zz__lalr_rewritez00();
	extern obj_t BGl_nsymsz00zz__lalr_globalz00;
	extern obj_t string_to_symbol(char *);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t bgl_reverse(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cleanzd2plistzd2zz__lalr_rewritez00();
	static obj_t BGl_setzd2symzd2noz12z12zz__lalr_rewritez00(obj_t);
	extern obj_t BGl_nvarsz00zz__lalr_globalz00;
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_keyword1551z00zz__lalr_rewritez00 = BUNSPEC;
	static obj_t BGl_keyword1553z00zz__lalr_rewritez00 = BUNSPEC;
	static obj_t BGl_keyword1555z00zz__lalr_rewritez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__lalr_rewritez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2symvza2z00zz__lalr_rewritez00 = BUNSPEC;
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__lalr_rewritez00();
	extern obj_t BGl_ntermsz00zz__lalr_globalz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbolzd2ze3symbolzf2bindingzc3zz__lalr_rewritez00(obj_t);
	static obj_t BGl__cleanzd2plistzd2zz__lalr_rewritez00(obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_nrulesz00zz__lalr_globalz00;
	static obj_t BGl_symbol1532z00zz__lalr_rewritez00 = BUNSPEC;
	static obj_t BGl_symbol1534z00zz__lalr_rewritez00 = BUNSPEC;
	static obj_t BGl_symbol1536z00zz__lalr_rewritez00 = BUNSPEC;
	static obj_t BGl_symbol1538z00zz__lalr_rewritez00 = BUNSPEC;
	static long BGl_za2maxzd2termza2zd2zz__lalr_rewritez00;
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_symbol1542z00zz__lalr_rewritez00 = BUNSPEC;
	static obj_t BGl_symbol1544z00zz__lalr_rewritez00 = BUNSPEC;
	extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_grammarz00zz__lalr_globalz00;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rewritezd2grammarz12zd2envz12zz__lalr_rewritez00,
		BgL_bgl__rewriteza7d2gramm1564za7,
		BGl__rewritezd2grammarz12zc0zz__lalr_rewritez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cleanzd2plistzd2envz00zz__lalr_rewritez00,
		BgL_bgl__cleanza7d2plistza7d1565z00,
		BGl__cleanzd2plistzd2zz__lalr_rewritez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1533z00zz__lalr_rewritez00,
		BgL_bgl_string1533za700za7za7_1566za7, "nt?", 3);
	      DEFINE_STRING(BGl_string1535z00zz__lalr_rewritez00,
		BgL_bgl_string1535za700za7za7_1567za7, "prec", 4);
	      DEFINE_STRING(BGl_string1537z00zz__lalr_rewritez00,
		BgL_bgl_string1537za700za7za7_1568za7, "sym-no", 6);
	      DEFINE_STRING(BGl_string1540z00zz__lalr_rewritez00,
		BgL_bgl_string1540za700za7za7_1569za7, "Grammar symbol already defined",
		30);
	      DEFINE_STRING(BGl_string1539z00zz__lalr_rewritez00,
		BgL_bgl_string1539za700za7za7_1570za7, "lalr-grammar", 12);
	      DEFINE_STRING(BGl_string1543z00zz__lalr_rewritez00,
		BgL_bgl_string1543za700za7za7_1571za7, "*eoi*", 5);
	      DEFINE_STRING(BGl_string1545z00zz__lalr_rewritez00,
		BgL_bgl_string1545za700za7za7_1572za7, "*start*", 7);
	      DEFINE_STRING(BGl_string1546z00zz__lalr_rewritez00,
		BgL_bgl_string1546za700za7za7_1573za7, "Non-terminal defined twice", 26);
	      DEFINE_STRING(BGl_string1547z00zz__lalr_rewritez00,
		BgL_bgl_string1547za700za7za7_1574za7, "LHS must be a symbol", 20);
	      DEFINE_STRING(BGl_string1548z00zz__lalr_rewritez00,
		BgL_bgl_string1548za700za7za7_1575za7, "Bad rule specification", 22);
	      DEFINE_STRING(BGl_string1549z00zz__lalr_rewritez00,
		BgL_bgl_string1549za700za7za7_1576za7, "Ill-formed grammar", 18);
	      DEFINE_STRING(BGl_string1552z00zz__lalr_rewritez00,
		BgL_bgl_string1552za700za7za7_1577za7, "left", 4);
	      DEFINE_STRING(BGl_string1554z00zz__lalr_rewritez00,
		BgL_bgl_string1554za700za7za7_1578za7, "right", 5);
	      DEFINE_STRING(BGl_string1556z00zz__lalr_rewritez00,
		BgL_bgl_string1556za700za7za7_1579za7, "none", 4);
	      DEFINE_STRING(BGl_string1557z00zz__lalr_rewritez00,
		BgL_bgl_string1557za700za7za7_1580za7, "Bad terminal", 12);
	      DEFINE_STRING(BGl_string1558z00zz__lalr_rewritez00,
		BgL_bgl_string1558za700za7za7_1581za7, "Invalid semantic action", 23);
	      DEFINE_STRING(BGl_string1560z00zz__lalr_rewritez00,
		BgL_bgl_string1560za700za7za7_1582za7, "Undefined symbol", 16);
	      DEFINE_STRING(BGl_string1561z00zz__lalr_rewritez00,
		BgL_bgl_string1561za700za7za7_1583za7, "Invalid symbol in right-hand side",
		33);
	      DEFINE_STRING(BGl_string1562z00zz__lalr_rewritez00,
		BgL_bgl_string1562za700za7za7_1584za7, "Bad right-hand side", 19);
	      DEFINE_STRING(BGl_string1563z00zz__lalr_rewritez00,
		BgL_bgl_string1563za700za7za7_1585za7, "__lalr_rewrite", 14);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__lalr_rewritez00(long
		BgL_checksumz00_1055, char *BgL_fromz00_1056)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__lalr_rewritez00))
				{
					BGl_requirezd2initializa7ationz75zz__lalr_rewritez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__lalr_rewritez00();
					BGl_importedzd2moduleszd2initz00zz__lalr_rewritez00();
					BGl_toplevelzd2initzd2zz__lalr_rewritez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__lalr_rewritez00()
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 11 */
			BGl_symbol1532z00zz__lalr_rewritez00 =
				bstring_to_symbol(BGl_string1533z00zz__lalr_rewritez00);
			BGl_symbol1534z00zz__lalr_rewritez00 =
				bstring_to_symbol(BGl_string1535z00zz__lalr_rewritez00);
			BGl_symbol1536z00zz__lalr_rewritez00 =
				bstring_to_symbol(BGl_string1537z00zz__lalr_rewritez00);
			BGl_symbol1538z00zz__lalr_rewritez00 =
				bstring_to_symbol(BGl_string1539z00zz__lalr_rewritez00);
			BGl_symbol1542z00zz__lalr_rewritez00 =
				bstring_to_symbol(BGl_string1543z00zz__lalr_rewritez00);
			BGl_symbol1544z00zz__lalr_rewritez00 =
				bstring_to_symbol(BGl_string1545z00zz__lalr_rewritez00);
			BGl_list1541z00zz__lalr_rewritez00 =
				MAKE_PAIR(BGl_symbol1542z00zz__lalr_rewritez00,
				MAKE_PAIR(BGl_symbol1544z00zz__lalr_rewritez00, BNIL));
			BGl_keyword1551z00zz__lalr_rewritez00 =
				bstring_to_keyword(BGl_string1552z00zz__lalr_rewritez00);
			BGl_keyword1553z00zz__lalr_rewritez00 =
				bstring_to_keyword(BGl_string1554z00zz__lalr_rewritez00);
			BGl_keyword1555z00zz__lalr_rewritez00 =
				bstring_to_keyword(BGl_string1556z00zz__lalr_rewritez00);
			BGl_list1550z00zz__lalr_rewritez00 =
				MAKE_PAIR(BGl_keyword1551z00zz__lalr_rewritez00,
				MAKE_PAIR(BGl_keyword1553z00zz__lalr_rewritez00,
					MAKE_PAIR(BGl_keyword1555z00zz__lalr_rewritez00, BNIL)));
			return (BGl_list1559z00zz__lalr_rewritez00 =
				MAKE_PAIR(BBOOL(((bool_t) 0)), BNIL), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__lalr_rewritez00()
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 11 */
			BGl_za2plistza2z00zz__lalr_rewritez00 = BFALSE;
			BGl_za2symvza2z00zz__lalr_rewritez00 = BFALSE;
			BGl_za2maxzd2termza2zd2zz__lalr_rewritez00 = ((long) 0);
			return (BGl_za2maxzd2ntza2zd2zz__lalr_rewritez00 = ((long) 1), BUNSPEC);
		}
	}



/* clean-plist */
	BGL_EXPORTED_DEF obj_t BGl_cleanzd2plistzd2zz__lalr_rewritez00()
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 49 */
			{
				obj_t BgL_lz00_456;

				{	/* Lalr/rewrite.scm 50 */
					bool_t BgL_auxz00_1079;

					BgL_lz00_456 = BGl_za2plistza2z00zz__lalr_rewritez00;
				BgL_loopz00_457:
					if (PAIRP(BgL_lz00_456))
						{	/* Lalr/rewrite.scm 52 */
							obj_t BgL_symz00_459;

							BgL_symz00_459 = CAR(BgL_lz00_456);
							if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symz00_459,
										BGl_symbol1532z00zz__lalr_rewritez00)))
								{	/* Lalr/rewrite.scm 53 */
									BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_symz00_459,
										BGl_symbol1532z00zz__lalr_rewritez00);
								}
							else
								{	/* Lalr/rewrite.scm 53 */
									BFALSE;
								}
							if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symz00_459,
										BGl_symbol1534z00zz__lalr_rewritez00)))
								{	/* Lalr/rewrite.scm 55 */
									BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_symz00_459,
										BGl_symbol1534z00zz__lalr_rewritez00);
								}
							else
								{	/* Lalr/rewrite.scm 55 */
									BFALSE;
								}
							BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_symz00_459,
								BGl_symbol1536z00zz__lalr_rewritez00);
							{
								obj_t BgL_lz00_1092;

								BgL_lz00_1092 = CDR(BgL_lz00_456);
								BgL_lz00_456 = BgL_lz00_1092;
								goto BgL_loopz00_457;
							}
						}
					else
						{	/* Lalr/rewrite.scm 51 */
							BgL_auxz00_1079 = ((bool_t) 0);
						}
					return BBOOL(BgL_auxz00_1079);
				}
			}
		}
	}



/* _clean-plist */
	obj_t BGl__cleanzd2plistzd2zz__lalr_rewritez00(obj_t BgL_envz00_1052)
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 49 */
			return BGl_cleanzd2plistzd2zz__lalr_rewritez00();
		}
	}



/* make-sym-table */
	bool_t BGl_makezd2symzd2tablez00zz__lalr_rewritez00()
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 63 */
			BGl_za2symvza2z00zz__lalr_rewritez00 =
				make_vector((int) (BGl_za2maxzd2termza2zd2zz__lalr_rewritez00), BFALSE);
			{
				obj_t BgL_lz00_463;

				BgL_lz00_463 = BGl_za2plistza2z00zz__lalr_rewritez00;
			BgL_loopz00_464:
				if (PAIRP(BgL_lz00_463))
					{	/* Lalr/rewrite.scm 67 */
						obj_t BgL_symz00_466;

						BgL_symz00_466 = CAR(BgL_lz00_463);
						{	/* Lalr/rewrite.scm 68 */
							obj_t BgL_arg1156z00_467;

							BgL_arg1156z00_467 =
								BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symz00_466,
								BGl_symbol1536z00zz__lalr_rewritez00);
							VECTOR_SET(BGl_za2symvza2z00zz__lalr_rewritez00,
								CINT(BgL_arg1156z00_467), BgL_symz00_466);
						}
						{
							obj_t BgL_lz00_1104;

							BgL_lz00_1104 = CDR(BgL_lz00_463);
							BgL_lz00_463 = BgL_lz00_1104;
							goto BgL_loopz00_464;
						}
					}
				else
					{	/* Lalr/rewrite.scm 66 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* set-nt-no! */
	long BGl_setzd2ntzd2noz12z12zz__lalr_rewritez00(obj_t BgL_symz00_1)
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 78 */
			{	/* Lalr/rewrite.scm 79 */
				long BgL_xz00_469;

				BgL_xz00_469 = BGl_za2maxzd2ntza2zd2zz__lalr_rewritez00;
				BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symz00_1,
					BGl_symbol1532z00zz__lalr_rewritez00, BTRUE);
				BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symz00_1,
					BGl_symbol1536z00zz__lalr_rewritez00,
					BINT(BGl_za2maxzd2ntza2zd2zz__lalr_rewritez00));
				BGl_za2maxzd2ntza2zd2zz__lalr_rewritez00 =
					(long)
					CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT
						(BGl_za2maxzd2ntza2zd2zz__lalr_rewritez00), BINT(((long) 1))));
				BGl_za2plistza2z00zz__lalr_rewritez00 =
					MAKE_PAIR(BgL_symz00_1, BGl_za2plistza2z00zz__lalr_rewritez00);
				return BgL_xz00_469;
			}
		}
	}



/* set-sym-no! */
	obj_t BGl_setzd2symzd2noz12z12zz__lalr_rewritez00(obj_t BgL_symz00_2)
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 86 */
			{	/* Lalr/rewrite.scm 87 */
				obj_t BgL_xz00_470;

				BgL_xz00_470 =
					BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symz00_2,
					BGl_symbol1536z00zz__lalr_rewritez00);
				if (CBOOL(BgL_xz00_470))
					{	/* Lalr/rewrite.scm 88 */
						return
							BGl_errorz00zz__errorz00(BGl_symbol1538z00zz__lalr_rewritez00,
							BGl_string1540z00zz__lalr_rewritez00, BgL_symz00_2);
					}
				else
					{	/* Lalr/rewrite.scm 90 */
						long BgL_yz00_471;

						BgL_yz00_471 = BGl_za2maxzd2termza2zd2zz__lalr_rewritez00;
						BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symz00_2,
							BGl_symbol1536z00zz__lalr_rewritez00,
							BINT(BGl_za2maxzd2termza2zd2zz__lalr_rewritez00));
						BGl_za2plistza2z00zz__lalr_rewritez00 =
							MAKE_PAIR(BgL_symz00_2, BGl_za2plistza2z00zz__lalr_rewritez00);
						BGl_za2maxzd2termza2zd2zz__lalr_rewritez00 =
							(long)
							CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT
								(BGl_za2maxzd2termza2zd2zz__lalr_rewritez00),
								BINT(((long) 1))));
						return BINT(BgL_yz00_471);
					}
			}
		}
	}



/* symbol->symbol/binding */
	obj_t BGl_symbolzd2ze3symbolzf2bindingzc3zz__lalr_rewritez00(obj_t
		BgL_symz00_4)
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 100 */
			{	/* Lalr/rewrite.scm 101 */
				obj_t BgL_g1111z00_473;

				{	/* Lalr/rewrite.scm 101 */
					obj_t BgL_arg1168z00_489;

					BgL_arg1168z00_489 = SYMBOL_TO_STRING(BgL_symz00_4);
					BgL_g1111z00_473 =
						BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(BgL_arg1168z00_489);
				}
				{
					obj_t BgL_lz00_475;
					obj_t BgL_prefixz00_476;

					BgL_lz00_475 = BgL_g1111z00_473;
					BgL_prefixz00_476 = BNIL;
				BgL_loopz00_477:
					if (NULLP(BgL_lz00_475))
						{	/* Lalr/rewrite.scm 103 */
							return BgL_symz00_4;
						}
					else
						{	/* Lalr/rewrite.scm 105 */
							obj_t BgL_cz00_479;
							obj_t BgL_rz00_480;

							BgL_cz00_479 = CAR(BgL_lz00_475);
							BgL_rz00_480 = CDR(BgL_lz00_475);
							if ((CCHAR(BgL_cz00_479) == ((unsigned char) '@')))
								{	/* Lalr/rewrite.scm 107 */
									if (NULLP(BgL_rz00_480))
										{	/* Lalr/rewrite.scm 108 */
											return BgL_symz00_4;
										}
									else
										{	/* Lalr/rewrite.scm 110 */
											obj_t BgL_arg1162z00_483;
											obj_t BgL_arg1163z00_484;

											{	/* Lalr/rewrite.scm 110 */
												obj_t BgL_arg1164z00_485;

												BgL_arg1164z00_485 =
													BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
													(bgl_reverse(BgL_prefixz00_476));
												BgL_arg1162z00_483 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1164z00_485));
											}
											{	/* Lalr/rewrite.scm 111 */
												obj_t BgL_arg1166z00_487;

												BgL_arg1166z00_487 =
													BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
													(BgL_rz00_480);
												BgL_arg1163z00_484 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1166z00_487));
											}
											return MAKE_PAIR(BgL_arg1162z00_483, BgL_arg1163z00_484);
										}
								}
							else
								{	/* Lalr/rewrite.scm 112 */
									obj_t BgL_arg1167z00_488;

									BgL_arg1167z00_488 =
										MAKE_PAIR(BgL_cz00_479, BgL_prefixz00_476);
									{
										obj_t BgL_prefixz00_1147;
										obj_t BgL_lz00_1146;

										BgL_lz00_1146 = BgL_rz00_480;
										BgL_prefixz00_1147 = BgL_arg1167z00_488;
										BgL_prefixz00_476 = BgL_prefixz00_1147;
										BgL_lz00_475 = BgL_lz00_1146;
										goto BgL_loopz00_477;
									}
								}
						}
				}
			}
		}
	}



/* rewrite-grammar! */
	BGL_EXPORTED_DEF obj_t BGl_rewritezd2grammarz12zc0zz__lalr_rewritez00(obj_t
		BgL_gramz00_5)
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 118 */
			{	/* Lalr/rewrite.scm 234 */
				obj_t BgL_preczd2levelzd2_490;
				obj_t BgL_nozd2ruleszd2_491;
				obj_t BgL_nozd2itemszd2_492;
				obj_t BgL_terminalsz00_493;
				obj_t BgL_thezd2ruleszd2_494;

				BgL_preczd2levelzd2_490 = BUNSPEC;
				BgL_nozd2ruleszd2_491 = BUNSPEC;
				BgL_nozd2itemszd2_492 = BUNSPEC;
				BgL_terminalsz00_493 = BUNSPEC;
				BgL_thezd2ruleszd2_494 = BUNSPEC;
				BgL_thezd2ruleszd2_494 = CDR(BgL_gramz00_5);
				BgL_terminalsz00_493 = CAR(BgL_gramz00_5);
				BgL_nozd2itemszd2_492 = BINT(((long) 0));
				BgL_nozd2ruleszd2_491 = BINT(((long) 0));
				BgL_preczd2levelzd2_490 = BINT(((long) 0));
				BGl_za2plistza2z00zz__lalr_rewritez00 =
					BGl_list1541z00zz__lalr_rewritez00;
				BGl_za2maxzd2ntza2zd2zz__lalr_rewritez00 = ((long) 1);
				{
					obj_t BgL_lz00_495;

					BgL_lz00_495 = BgL_thezd2ruleszd2_494;
				BgL_loopz00_496:
					if (PAIRP(BgL_lz00_495))
						{	/* Lalr/rewrite.scm 132 */
							obj_t BgL_prodsz00_498;

							BgL_prodsz00_498 = CAR(BgL_lz00_495);
							if (PAIRP(BgL_prodsz00_498))
								{	/* Lalr/rewrite.scm 134 */
									obj_t BgL_lhsz00_500;

									BgL_lhsz00_500 = CAR(BgL_prodsz00_498);
									if (SYMBOLP(BgL_lhsz00_500))
										{	/* Lalr/rewrite.scm 135 */
											if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00
													(BgL_lhsz00_500,
														BGl_symbol1532z00zz__lalr_rewritez00)))
												{	/* Lalr/rewrite.scm 136 */
													BGl_errorz00zz__errorz00
														(BGl_symbol1538z00zz__lalr_rewritez00,
														BGl_string1546z00zz__lalr_rewritez00,
														BgL_lhsz00_500);
												}
											else
												{	/* Lalr/rewrite.scm 136 */
													BGl_setzd2ntzd2noz12z12zz__lalr_rewritez00
														(BgL_lhsz00_500);
													{
														obj_t BgL_lz00_1166;

														BgL_lz00_1166 = CDR(BgL_lz00_495);
														BgL_lz00_495 = BgL_lz00_1166;
														goto BgL_loopz00_496;
													}
												}
										}
									else
										{	/* Lalr/rewrite.scm 135 */
											BGl_errorz00zz__errorz00
												(BGl_symbol1538z00zz__lalr_rewritez00,
												BGl_string1547z00zz__lalr_rewritez00, BgL_lhsz00_500);
										}
								}
							else
								{	/* Lalr/rewrite.scm 133 */
									BGl_errorz00zz__errorz00(BGl_symbol1538z00zz__lalr_rewritez00,
										BGl_string1548z00zz__lalr_rewritez00, BgL_prodsz00_498);
								}
						}
					else
						{	/* Lalr/rewrite.scm 131 */
							if (NULLP(BgL_lz00_495))
								{	/* Lalr/rewrite.scm 149 */
									BFALSE;
								}
							else
								{	/* Lalr/rewrite.scm 149 */
									BGl_errorz00zz__errorz00(BGl_symbol1538z00zz__lalr_rewritez00,
										BGl_string1549z00zz__lalr_rewritez00, BgL_lz00_495);
								}
						}
				}
				BGl_za2maxzd2termza2zd2zz__lalr_rewritez00 =
					(long)
					CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT
						(BGl_za2maxzd2ntza2zd2zz__lalr_rewritez00), BINT(((long) 1))));
				BGl_putpropz12z12zz__r4_symbols_6_4z00
					(BGl_symbol1542z00zz__lalr_rewritez00,
					BGl_symbol1536z00zz__lalr_rewritez00,
					BINT(BGl_za2maxzd2ntza2zd2zz__lalr_rewritez00));
				BGl_putpropz12z12zz__r4_symbols_6_4z00
					(BGl_symbol1544z00zz__lalr_rewritez00,
					BGl_symbol1536z00zz__lalr_rewritez00, BINT(((long) 0)));
				BGl_putpropz12z12zz__r4_symbols_6_4z00
					(BGl_symbol1544z00zz__lalr_rewritez00,
					BGl_symbol1532z00zz__lalr_rewritez00, BTRUE);
				{
					obj_t BgL_l1131z00_505;

					BgL_l1131z00_505 = BgL_terminalsz00_493;
				BgL_forzd2each1132zd2_506:
					if (PAIRP(BgL_l1131z00_505))
						{	/* Lalr/rewrite.scm 161 */
							{	/* Lalr/rewrite.scm 164 */
								obj_t BgL_tz00_508;

								BgL_tz00_508 = CAR(BgL_l1131z00_505);
								if (SYMBOLP(BgL_tz00_508))
									{	/* Lalr/rewrite.scm 164 */
										BGl_setzd2symzd2noz12z12zz__lalr_rewritez00(BgL_tz00_508);
									}
								else
									{	/* Lalr/rewrite.scm 166 */
										bool_t BgL_testz00_1188;

										if (PAIRP(BgL_tz00_508))
											{	/* Lalr/rewrite.scm 166 */
												BgL_testz00_1188 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR
														(BgL_tz00_508),
														BGl_list1550z00zz__lalr_rewritez00));
											}
										else
											{	/* Lalr/rewrite.scm 166 */
												BgL_testz00_1188 = ((bool_t) 0);
											}
										if (BgL_testz00_1188)
											{	/* Lalr/rewrite.scm 166 */
												{	/* Lalr/rewrite.scm 167 */
													long BgL_za71za7_867;

													BgL_za71za7_867 =
														(long) CINT(BgL_preczd2levelzd2_490);
													BgL_preczd2levelzd2_490 =
														BINT((BgL_za71za7_867 + ((long) 1)));
												}
												{	/* Lalr/rewrite.scm 168 */
													obj_t BgL_g1130z00_511;

													BgL_g1130z00_511 = CDR(BgL_tz00_508);
													{
														obj_t BgL_l1128z00_512;

														{	/* Lalr/rewrite.scm 168 */
															bool_t BgL_auxz00_1198;

															BgL_l1128z00_512 = BgL_g1130z00_511;
														BgL_forzd2each1129zd2_513:
															if (PAIRP(BgL_l1128z00_512))
																{	/* Lalr/rewrite.scm 168 */
																	{	/* Lalr/rewrite.scm 173 */
																		obj_t BgL_innerzd2tzd2_515;

																		BgL_innerzd2tzd2_515 =
																			CAR(BgL_l1128z00_512);
																		if (SYMBOLP(BgL_innerzd2tzd2_515))
																			{	/* Lalr/rewrite.scm 170 */
																				BFALSE;
																			}
																		else
																			{	/* Lalr/rewrite.scm 170 */
																				BGl_errorz00zz__errorz00
																					(BGl_symbol1538z00zz__lalr_rewritez00,
																					BGl_string1557z00zz__lalr_rewritez00,
																					BgL_innerzd2tzd2_515);
																			}
																		BGl_setzd2symzd2noz12z12zz__lalr_rewritez00
																			(BgL_innerzd2tzd2_515);
																		{	/* Lalr/rewrite.scm 173 */
																			obj_t BgL_arg1206z00_517;
																			obj_t BgL_arg1207z00_518;

																			BgL_arg1206z00_517 =
																				BGl_symbol1534z00zz__lalr_rewritez00;
																			{	/* Lalr/rewrite.scm 173 */
																				obj_t BgL_arg1208z00_519;

																				BgL_arg1208z00_519 = CAR(BgL_tz00_508);
																				BgL_arg1207z00_518 =
																					MAKE_PAIR(BgL_arg1208z00_519,
																					BgL_preczd2levelzd2_490);
																			}
																			BGl_putpropz12z12zz__r4_symbols_6_4z00
																				(BgL_innerzd2tzd2_515,
																				BgL_arg1206z00_517, BgL_arg1207z00_518);
																		}
																	}
																	{
																		obj_t BgL_l1128z00_1209;

																		BgL_l1128z00_1209 = CDR(BgL_l1128z00_512);
																		BgL_l1128z00_512 = BgL_l1128z00_1209;
																		goto BgL_forzd2each1129zd2_513;
																	}
																}
															else
																{	/* Lalr/rewrite.scm 168 */
																	BgL_auxz00_1198 = ((bool_t) 1);
																}
															BBOOL(BgL_auxz00_1198);
														}
													}
												}
											}
										else
											{	/* Lalr/rewrite.scm 166 */
												BGl_errorz00zz__errorz00
													(BGl_symbol1538z00zz__lalr_rewritez00,
													BGl_string1557z00zz__lalr_rewritez00, BgL_tz00_508);
											}
									}
							}
							{
								obj_t BgL_l1131z00_1213;

								BgL_l1131z00_1213 = CDR(BgL_l1131z00_505);
								BgL_l1131z00_505 = BgL_l1131z00_1213;
								goto BgL_forzd2each1132zd2_506;
							}
						}
					else
						{	/* Lalr/rewrite.scm 161 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_lz00_525;

					BgL_lz00_525 = BgL_thezd2ruleszd2_494;
				BgL_loopz00_526:
					if (PAIRP(BgL_lz00_525))
						{	/* Lalr/rewrite.scm 183 */
							obj_t BgL_rulesz00_528;

							BgL_rulesz00_528 = CAR(BgL_lz00_525);
							{	/* Lalr/rewrite.scm 184 */

								{	/* Lalr/rewrite.scm 185 */
									obj_t BgL_g1113z00_530;

									BgL_g1113z00_530 = CDR(BgL_rulesz00_528);
									{
										obj_t BgL_rhszd2lzd2_531;

										BgL_rhszd2lzd2_531 = BgL_g1113z00_530;
									BgL_loopzd21zd2_532:
										if (NULLP(BgL_rhszd2lzd2_531))
											{
												obj_t BgL_lz00_1221;

												BgL_lz00_1221 = CDR(BgL_lz00_525);
												BgL_lz00_525 = BgL_lz00_1221;
												goto BgL_loopz00_526;
											}
										else
											{	/* Lalr/rewrite.scm 187 */
												if (PAIRP(BgL_rhszd2lzd2_531))
													{	/* Lalr/rewrite.scm 190 */
														obj_t BgL_rhszf2actionzf2_536;

														BgL_rhszf2actionzf2_536 = CAR(BgL_rhszd2lzd2_531);
														BgL_nozd2ruleszd2_491 =
															BGl_2zb2zb2zz__r4_numbers_6_5z00
															(BgL_nozd2ruleszd2_491, BINT(((long) 1)));
														if (PAIRP(BgL_rhszf2actionzf2_536))
															{	/* Lalr/rewrite.scm 193 */
																obj_t BgL_actionz00_538;

																BgL_actionz00_538 =
																	CDR(BgL_rhszf2actionzf2_536);
																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
																	(BgL_actionz00_538))
																	{	/* Lalr/rewrite.scm 194 */
																		BFALSE;
																	}
																else
																	{	/* Lalr/rewrite.scm 194 */
																		BGl_errorz00zz__errorz00
																			(BGl_symbol1538z00zz__lalr_rewritez00,
																			BGl_string1558z00zz__lalr_rewritez00,
																			BgL_rhszf2actionzf2_536);
																	}
																if (NULLP(BgL_actionz00_538))
																	{	/* Lalr/rewrite.scm 196 */
																		SET_CDR(BgL_rhszf2actionzf2_536,
																			BGl_list1559z00zz__lalr_rewritez00);
																	}
																else
																	{	/* Lalr/rewrite.scm 196 */
																		BFALSE;
																	}
																{	/* Lalr/rewrite.scm 198 */
																	obj_t BgL_g1114z00_541;

																	BgL_g1114z00_541 =
																		CAR(BgL_rhszf2actionzf2_536);
																	{
																		obj_t BgL_rhsz00_542;

																		BgL_rhsz00_542 = BgL_g1114z00_541;
																	BgL_loopzd22zd2_543:
																		if (NULLP(BgL_rhsz00_542))
																			{	/* Lalr/rewrite.scm 200 */
																				{	/* Lalr/rewrite.scm 202 */
																					obj_t BgL_arg1225z00_545;

																					{	/* Lalr/rewrite.scm 202 */
																						long BgL_arg1226z00_546;

																						BgL_arg1226z00_546 =
																							bgl_list_length(CAR
																							(BgL_rhszf2actionzf2_536));
																						{	/* Lalr/rewrite.scm 202 */
																							obj_t BgL_list1228z00_548;

																							{	/* Lalr/rewrite.scm 202 */
																								obj_t BgL_arg1229z00_549;

																								BgL_arg1229z00_549 =
																									MAKE_PAIR(BINT(((long) 1)),
																									BNIL);
																								BgL_list1228z00_548 =
																									MAKE_PAIR(BINT
																									(BgL_arg1226z00_546),
																									BgL_arg1229z00_549);
																							}
																							BgL_arg1225z00_545 =
																								BGl_zb2zb2zz__r4_numbers_6_5z00
																								(BgL_list1228z00_548);
																					}}
																					BgL_nozd2itemszd2_492 =
																						BGl_2zb2zb2zz__r4_numbers_6_5z00
																						(BgL_nozd2itemszd2_492,
																						BgL_arg1225z00_545);
																				}
																				{
																					obj_t BgL_rhszd2lzd2_1248;

																					BgL_rhszd2lzd2_1248 =
																						CDR(BgL_rhszd2lzd2_531);
																					BgL_rhszd2lzd2_531 =
																						BgL_rhszd2lzd2_1248;
																					goto BgL_loopzd21zd2_532;
																				}
																			}
																		else
																			{	/* Lalr/rewrite.scm 200 */
																				if (PAIRP(BgL_rhsz00_542))
																					{	/* Lalr/rewrite.scm 205 */
																						obj_t BgL_symz00_553;

																						BgL_symz00_553 =
																							CAR(BgL_rhsz00_542);
																						if (SYMBOLP(BgL_symz00_553))
																							{	/* Lalr/rewrite.scm 207 */
																								obj_t BgL_symzf2varzf2_555;

																								BgL_symzf2varzf2_555 =
																									BGl_symbolzd2ze3symbolzf2bindingzc3zz__lalr_rewritez00
																									(BgL_symz00_553);
																								{	/* Lalr/rewrite.scm 207 */
																									obj_t BgL_thezd2symzd2_556;

																									if (SYMBOLP
																										(BgL_symzf2varzf2_555))
																										{	/* Lalr/rewrite.scm 208 */
																											BgL_thezd2symzd2_556 =
																												BgL_symzf2varzf2_555;
																										}
																									else
																										{	/* Lalr/rewrite.scm 208 */
																											BgL_thezd2symzd2_556 =
																												CAR
																												(BgL_symzf2varzf2_555);
																										}
																									{	/* Lalr/rewrite.scm 208 */

																										SET_CAR(BgL_rhsz00_542,
																											BgL_symzf2varzf2_555);
																										if (CBOOL
																											(BGl_getpropz00zz__r4_symbols_6_4z00
																												(BgL_thezd2symzd2_556,
																													BGl_symbol1536z00zz__lalr_rewritez00)))
																											{	/* Lalr/rewrite.scm 212 */
																												BFALSE;
																											}
																										else
																											{	/* Lalr/rewrite.scm 212 */
																												BGl_errorz00zz__errorz00
																													(BGl_symbol1538z00zz__lalr_rewritez00,
																													BGl_string1560z00zz__lalr_rewritez00,
																													BgL_thezd2symzd2_556);
																											}
																										{
																											obj_t BgL_rhsz00_1264;

																											BgL_rhsz00_1264 =
																												CDR(BgL_rhsz00_542);
																											BgL_rhsz00_542 =
																												BgL_rhsz00_1264;
																											goto BgL_loopzd22zd2_543;
																										}
																									}
																								}
																							}
																						else
																							{	/* Lalr/rewrite.scm 206 */
																								BGl_errorz00zz__errorz00
																									(BGl_symbol1538z00zz__lalr_rewritez00,
																									BGl_string1561z00zz__lalr_rewritez00,
																									BgL_rhsz00_542);
																							}
																					}
																				else
																					{	/* Lalr/rewrite.scm 204 */
																						BGl_errorz00zz__errorz00
																							(BGl_symbol1538z00zz__lalr_rewritez00,
																							BGl_string1562z00zz__lalr_rewritez00,
																							BgL_rhsz00_542);
																					}
																			}
																	}
																}
															}
														else
															{	/* Lalr/rewrite.scm 192 */
																BFALSE;
															}
													}
												else
													{	/* Lalr/rewrite.scm 189 */
														BGl_errorz00zz__errorz00
															(BGl_symbol1538z00zz__lalr_rewritez00,
															BGl_string1548z00zz__lalr_rewritez00,
															BgL_lz00_525);
													}
											}
									}
								}
							}
						}
					else
						{	/* Lalr/rewrite.scm 182 */
							BFALSE;
						}
				}
				BGl_makezd2symzd2tablez00zz__lalr_rewritez00();
				{	/* Lalr/rewrite.scm 227 */
					obj_t BgL_startzd2symzd2_559;

					{	/* Lalr/rewrite.scm 227 */
						obj_t BgL_pairz00_903;

						BgL_pairz00_903 = BgL_thezd2ruleszd2_494;
						BgL_startzd2symzd2_559 = CAR(CAR(BgL_pairz00_903));
					}
					{	/* Lalr/rewrite.scm 229 */
						obj_t BgL_arg1236z00_560;

						{	/* Lalr/rewrite.scm 229 */
							obj_t BgL_arg1237z00_561;
							obj_t BgL_arg1238z00_562;

							BgL_arg1237z00_561 = BGl_symbol1544z00zz__lalr_rewritez00;
							{	/* Lalr/rewrite.scm 229 */
								obj_t BgL_arg1239z00_563;

								{	/* Lalr/rewrite.scm 229 */
									obj_t BgL_arg1243z00_566;
									obj_t BgL_arg1244z00_567;

									{	/* Lalr/rewrite.scm 229 */
										obj_t BgL_arg1245z00_568;

										{	/* Lalr/rewrite.scm 229 */
											obj_t BgL_list1246z00_569;

											BgL_list1246z00_569 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1245z00_568 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BGl_symbol1542z00zz__lalr_rewritez00,
												BgL_list1246z00_569);
										}
										BgL_arg1243z00_566 =
											MAKE_PAIR(BgL_startzd2symzd2_559, BgL_arg1245z00_568);
									}
									{	/* Lalr/rewrite.scm 229 */
										obj_t BgL_list1247z00_570;

										BgL_list1247z00_570 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg1244z00_567 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_startzd2symzd2_559, BgL_list1247z00_570);
									}
									BgL_arg1239z00_563 =
										MAKE_PAIR(BgL_arg1243z00_566, BgL_arg1244z00_567);
								}
								{	/* Lalr/rewrite.scm 229 */
									obj_t BgL_list1242z00_565;

									BgL_list1242z00_565 = MAKE_PAIR(BNIL, BNIL);
									BgL_arg1238z00_562 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1239z00_563, BgL_list1242z00_565);
								}
							}
							BgL_arg1236z00_560 =
								MAKE_PAIR(BgL_arg1237z00_561, BgL_arg1238z00_562);
						}
						BGl_grammarz00zz__lalr_globalz00 =
							MAKE_PAIR(BgL_arg1236z00_560, BgL_thezd2ruleszd2_494);
					}
				}
				BGl_nrulesz00zz__lalr_globalz00 =
					BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_nozd2ruleszd2_491,
					BINT(((long) 2)));
				BGl_nitemsz00zz__lalr_globalz00 =
					BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_nozd2itemszd2_492,
					BINT(((long) 3)));
				BGl_ntermsz00zz__lalr_globalz00 =
					BINT(BGl_za2maxzd2termza2zd2zz__lalr_rewritez00);
				BGl_nvarsz00zz__lalr_globalz00 =
					BINT(BGl_za2maxzd2ntza2zd2zz__lalr_rewritez00);
				return (BGl_nsymsz00zz__lalr_globalz00 =
					BGl_2zb2zb2zz__r4_numbers_6_5z00(BGl_ntermsz00zz__lalr_globalz00,
						BGl_nvarsz00zz__lalr_globalz00), BUNSPEC);
			}
		}
	}



/* _rewrite-grammar! */
	obj_t BGl__rewritezd2grammarz12zc0zz__lalr_rewritez00(obj_t BgL_envz00_1053,
		obj_t BgL_gramz00_1054)
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 118 */
			return BGl_rewritezd2grammarz12zc0zz__lalr_rewritez00(BgL_gramz00_1054);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__lalr_rewritez00()
	{
		AN_OBJECT;
		{	/* Lalr/rewrite.scm 11 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 215971449),
				BSTRING_TO_STRING(BGl_string1563z00zz__lalr_rewritez00));
			BGl_modulezd2initializa7ationz75zz__lalr_globalz00(((long) 45247587),
				BSTRING_TO_STRING(BGl_string1563z00zz__lalr_rewritez00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 216816546),
				BSTRING_TO_STRING(BGl_string1563z00zz__lalr_rewritez00));
		}
	}

#ifdef __cplusplus
}
#endif
