/*===========================================================================*/
/*   (Llib/ucs2.scm)                                                         */
/*   Bigloo (2.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 25 07:31:22 CET 2006        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/2.9a -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Llib/ucs2.scm -indent -o objs/obj_u/Llib/ucs2.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern bool_t ucs2_digitp(ucs2_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl__charzd2ze3ucs21406z31zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl__ucs2zd2cizc3zd3zf31395z31zz__ucs2z00(obj_t, obj_t, obj_t);
	extern bool_t ucs2_upperp(ucs2_t);
	static obj_t BGl__ucs2zd2ze3char1407z31zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl__ucs2ze3zf31389z10zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int);
	static obj_t BGl__ucs2zd2cizd3zf31392zf2zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t);
	static obj_t BGl__ucs2zd2downcase1403zd2zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__ucs2z00 = BUNSPEC;
	BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t);
	static obj_t BGl__ucs2zd2upperzd2casezf31400zf3zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl__ucs2zd3zf31387z20zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00();
	extern bool_t ucs2_lowerp(ucs2_t);
	extern bool_t ucs2_whitespacep(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t);
	static obj_t BGl__ucs2zd2cizc3zf31393ze2zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl__ucs2zd2alphabeticzf31397z21zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t, ucs2_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t, ucs2_t);
	static obj_t BGl__ucs2zf3zf3zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t, ucs2_t);
	static obj_t BGl__integerzd2ze3ucs21404z31zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t);
	static obj_t BGl__ucs2zd2ze3integer1405z31zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl__ucs2zd2whitespacezf31399z21zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl__ucs2ze3zd3zf31391zc3zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl__ucs2zd2numericzf31398z21zz__ucs2z00(obj_t, obj_t);
	extern bool_t ucs2_letterp(ucs2_t);
	extern ucs2_t ucs2_tolower(ucs2_t);
	static obj_t BGl__ucs2zd2upcase1402zd2zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl__ucs2zc3zf31388z30zz__ucs2z00(obj_t, obj_t, obj_t);
	extern ucs2_t ucs2_toupper(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t);
	static obj_t BGl__ucs2zc3zd3zf31390ze3zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl__ucs2zd2cize3zf31394zc2zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t);
	extern bool_t ucs2_definedp(int);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t, ucs2_t);
	static obj_t BGl__ucs2zd2lowerzd2casezf31401zf3zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl__ucs2zd2cize3zd3zf31396z11zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2whitespacezf3zd2envzf3zz__ucs2z00,
		BgL_bgl__ucs2za7d2whitespa1415za7,
		BGl__ucs2zd2whitespacezf31399z21zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2ze3zd3zf3zd2envz11zz__ucs2z00,
		BgL_bgl__ucs2za7e3za7d3za7f3131416za7, BGl__ucs2ze3zd3zf31391zc3zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2downcasezd2envz00zz__ucs2z00,
		BgL_bgl__ucs2za7d2downcase1417za7, BGl__ucs2zd2downcase1403zd2zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zc3zd3zf3zd2envz31zz__ucs2z00,
		BgL_bgl__ucs2za7c3za7d3za7f3131418za7, BGl__ucs2zc3zd3zf31390ze3zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd3zf3zd2envzf2zz__ucs2z00,
		BgL_bgl__ucs2za7d3za7f31387za71419za7, BGl__ucs2zd3zf31387z20zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1408z00zz__ucs2z00,
		BgL_bgl_string1408za700za7za7_1420za7, "integer->ucs2", 13);
	      DEFINE_STRING(BGl_string1410z00zz__ucs2z00,
		BgL_bgl_string1410za700za7za7_1421za7, "integer out of range or ", 24);
	      DEFINE_STRING(BGl_string1409z00zz__ucs2z00,
		BgL_bgl_string1409za700za7za7_1422za7, "Undefined UCS-2 character", 25);
	      DEFINE_STRING(BGl_string1411z00zz__ucs2z00,
		BgL_bgl_string1411za700za7za7_1423za7, "ucs2->char", 10);
	      DEFINE_STRING(BGl_string1412z00zz__ucs2z00,
		BgL_bgl_string1412za700za7za7_1424za7,
		"UCS-2 character out of ISO-LATIN-1 range", 40);
	      DEFINE_STRING(BGl_string1413z00zz__ucs2z00,
		BgL_bgl_string1413za700za7za7_1425za7, "__ucs2", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizd3zf3zd2envz20zz__ucs2z00,
		BgL_bgl__ucs2za7d2ciza7d3za7f31426za7,
		BGl__ucs2zd2cizd3zf31392zf2zz__ucs2z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2lowerzd2casezf3zd2envz21zz__ucs2z00,
		BgL_bgl__ucs2za7d2lowerza7d21427z00,
		BGl__ucs2zd2lowerzd2casezf31401zf3zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cize3zd3zf3zd2envzc3zz__ucs2z00,
		BgL_bgl__ucs2za7d2ciza7e3za7d31428za7,
		BGl__ucs2zd2cize3zd3zf31396z11zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3ucs2zd2envze3zz__ucs2z00,
		BgL_bgl__integerza7d2za7e3uc1429z00,
		BGl__integerzd2ze3ucs21404z31zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2ze3ucs2zd2envze3zz__ucs2z00,
		BgL_bgl__charza7d2za7e3ucs211430z00, BGl__charzd2ze3ucs21406z31zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2ze3integerzd2envze3zz__ucs2z00,
		BgL_bgl__ucs2za7d2za7e3integ1431z00,
		BGl__ucs2zd2ze3integer1405z31zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2numericzf3zd2envzf3zz__ucs2z00,
		BgL_bgl__ucs2za7d2numericza71432z00,
		BGl__ucs2zd2numericzf31398z21zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizc3zd3zf3zd2envze3zz__ucs2z00,
		BgL_bgl__ucs2za7d2ciza7c3za7d31433za7,
		BGl__ucs2zd2cizc3zd3zf31395z31zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2ze3charzd2envze3zz__ucs2z00,
		BgL_bgl__ucs2za7d2za7e3char11434z00, BGl__ucs2zd2ze3char1407z31zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zc3zf3zd2envze2zz__ucs2z00,
		BgL_bgl__ucs2za7c3za7f31388za71435za7, BGl__ucs2zc3zf31388z30zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizc3zf3zd2envz30zz__ucs2z00,
		BgL_bgl__ucs2za7d2ciza7c3za7f31436za7,
		BGl__ucs2zd2cizc3zf31393ze2zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2upcasezd2envz00zz__ucs2z00,
		BgL_bgl__ucs2za7d2upcase141437za7, BGl__ucs2zd2upcase1402zd2zz__ucs2z00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2upperzd2casezf3zd2envz21zz__ucs2z00,
		BgL_bgl__ucs2za7d2upperza7d21438z00,
		BGl__ucs2zd2upperzd2casezf31400zf3zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zf3zd2envz21zz__ucs2z00,
		BgL_bgl__ucs2za7f3za7f3za7za7__u1439z00, BGl__ucs2zf3zf3zz__ucs2z00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2alphabeticzf3zd2envzf3zz__ucs2z00,
		BgL_bgl__ucs2za7d2alphabet1440za7,
		BGl__ucs2zd2alphabeticzf31397z21zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2ze3zf3zd2envzc2zz__ucs2z00,
		BgL_bgl__ucs2za7e3za7f31389za71441za7, BGl__ucs2ze3zf31389z10zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cize3zf3zd2envz10zz__ucs2z00,
		BgL_bgl__ucs2za7d2ciza7e3za7f31442za7,
		BGl__ucs2zd2cize3zf31394zc2zz__ucs2z00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long
		BgL_checksumz00_834, char *BgL_fromz00_835)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__ucs2z00))
				{
					BGl_requirezd2initializa7ationz75zz__ucs2z00 = BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__ucs2z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* ucs2? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 143 */
			return UCS2P(BgL_objz00_1);
		}
	}



/* _ucs2? */
	obj_t BGl__ucs2zf3zf3zz__ucs2z00(obj_t BgL_envz00_747, obj_t BgL_objz00_748)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 143 */
			return BBOOL(UCS2P(BgL_objz00_748));
		}
	}



/* ucs2=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t BgL_ucs2az00_2,
		ucs2_t BgL_ucs2bz00_3)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 149 */
			return (BgL_ucs2az00_2 == BgL_ucs2bz00_3);
		}
	}



/* _ucs2=?1387 */
	obj_t BGl__ucs2zd3zf31387z20zz__ucs2z00(obj_t BgL_envz00_749,
		obj_t BgL_ucs2az00_750, obj_t BgL_ucs2bz00_751)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 149 */
			return BBOOL((CUCS2(BgL_ucs2az00_750) == CUCS2(BgL_ucs2bz00_751)));
		}
	}



/* ucs2<? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t BgL_ucs2az00_4,
		ucs2_t BgL_ucs2bz00_5)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 155 */
			return (BgL_ucs2az00_4 < BgL_ucs2bz00_5);
		}
	}



/* _ucs2<?1388 */
	obj_t BGl__ucs2zc3zf31388z30zz__ucs2z00(obj_t BgL_envz00_752,
		obj_t BgL_ucs2az00_753, obj_t BgL_ucs2bz00_754)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 155 */
			return BBOOL((CUCS2(BgL_ucs2az00_753) < CUCS2(BgL_ucs2bz00_754)));
		}
	}



/* ucs2>? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t BgL_ucs2az00_6,
		ucs2_t BgL_ucs2bz00_7)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 161 */
			return (BgL_ucs2az00_6 > BgL_ucs2bz00_7);
		}
	}



/* _ucs2>?1389 */
	obj_t BGl__ucs2ze3zf31389z10zz__ucs2z00(obj_t BgL_envz00_755,
		obj_t BgL_ucs2az00_756, obj_t BgL_ucs2bz00_757)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 161 */
			return BBOOL((CUCS2(BgL_ucs2az00_756) > CUCS2(BgL_ucs2bz00_757)));
		}
	}



/* ucs2<=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t BgL_ucs2az00_8,
		ucs2_t BgL_ucs2bz00_9)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 167 */
			return (BgL_ucs2az00_8 <= BgL_ucs2bz00_9);
		}
	}



/* _ucs2<=?1390 */
	obj_t BGl__ucs2zc3zd3zf31390ze3zz__ucs2z00(obj_t BgL_envz00_758,
		obj_t BgL_ucs2az00_759, obj_t BgL_ucs2bz00_760)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 167 */
			return BBOOL((CUCS2(BgL_ucs2az00_759) <= CUCS2(BgL_ucs2bz00_760)));
		}
	}



/* ucs2>=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t
		BgL_ucs2az00_10, ucs2_t BgL_ucs2bz00_11)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 173 */
			return (BgL_ucs2az00_10 > BgL_ucs2bz00_11);
		}
	}



/* _ucs2>=?1391 */
	obj_t BGl__ucs2ze3zd3zf31391zc3zz__ucs2z00(obj_t BgL_envz00_761,
		obj_t BgL_ucs2az00_762, obj_t BgL_ucs2bz00_763)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 173 */
			return BBOOL((CUCS2(BgL_ucs2az00_762) > CUCS2(BgL_ucs2bz00_763)));
		}
	}



/* ucs2-ci=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_12, ucs2_t BgL_ucs2bz00_13)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 179 */
			return (ucs2_toupper(BgL_ucs2az00_12) == ucs2_toupper(BgL_ucs2bz00_13));
		}
	}



/* _ucs2-ci=?1392 */
	obj_t BGl__ucs2zd2cizd3zf31392zf2zz__ucs2z00(obj_t BgL_envz00_764,
		obj_t BgL_ucs2az00_765, obj_t BgL_ucs2bz00_766)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 179 */
			return
				BBOOL(
				(ucs2_toupper(CUCS2(BgL_ucs2az00_765)) ==
					ucs2_toupper(CUCS2(BgL_ucs2bz00_766))));
		}
	}



/* ucs2-ci<? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_14, ucs2_t BgL_ucs2bz00_15)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 185 */
			return (ucs2_toupper(BgL_ucs2az00_14) < ucs2_toupper(BgL_ucs2bz00_15));
		}
	}



/* _ucs2-ci<?1393 */
	obj_t BGl__ucs2zd2cizc3zf31393ze2zz__ucs2z00(obj_t BgL_envz00_767,
		obj_t BgL_ucs2az00_768, obj_t BgL_ucs2bz00_769)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 185 */
			return
				BBOOL(
				(ucs2_toupper(CUCS2(BgL_ucs2az00_768)) <
					ucs2_toupper(CUCS2(BgL_ucs2bz00_769))));
		}
	}



/* ucs2-ci>? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_16, ucs2_t BgL_ucs2bz00_17)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 191 */
			return (ucs2_toupper(BgL_ucs2az00_16) > ucs2_toupper(BgL_ucs2bz00_17));
		}
	}



/* _ucs2-ci>?1394 */
	obj_t BGl__ucs2zd2cize3zf31394zc2zz__ucs2z00(obj_t BgL_envz00_770,
		obj_t BgL_ucs2az00_771, obj_t BgL_ucs2bz00_772)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 191 */
			return
				BBOOL(
				(ucs2_toupper(CUCS2(BgL_ucs2az00_771)) >
					ucs2_toupper(CUCS2(BgL_ucs2bz00_772))));
		}
	}



/* ucs2-ci<=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t
		BgL_ucs2az00_18, ucs2_t BgL_ucs2bz00_19)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 197 */
			return (ucs2_toupper(BgL_ucs2az00_18) <= ucs2_toupper(BgL_ucs2bz00_19));
		}
	}



/* _ucs2-ci<=?1395 */
	obj_t BGl__ucs2zd2cizc3zd3zf31395z31zz__ucs2z00(obj_t BgL_envz00_773,
		obj_t BgL_ucs2az00_774, obj_t BgL_ucs2bz00_775)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 197 */
			return
				BBOOL(
				(ucs2_toupper(CUCS2(BgL_ucs2az00_774)) <=
					ucs2_toupper(CUCS2(BgL_ucs2bz00_775))));
		}
	}



/* ucs2-ci>=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t
		BgL_ucs2az00_20, ucs2_t BgL_ucs2bz00_21)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 203 */
			return (ucs2_toupper(BgL_ucs2az00_20) > ucs2_toupper(BgL_ucs2bz00_21));
		}
	}



/* _ucs2-ci>=?1396 */
	obj_t BGl__ucs2zd2cize3zd3zf31396z11zz__ucs2z00(obj_t BgL_envz00_776,
		obj_t BgL_ucs2az00_777, obj_t BgL_ucs2bz00_778)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 203 */
			return
				BBOOL(
				(ucs2_toupper(CUCS2(BgL_ucs2az00_777)) >
					ucs2_toupper(CUCS2(BgL_ucs2bz00_778))));
		}
	}



/* ucs2-alphabetic? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_22)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 209 */
			return ucs2_letterp(BgL_ucs2z00_22);
		}
	}



/* _ucs2-alphabetic?1397 */
	obj_t BGl__ucs2zd2alphabeticzf31397z21zz__ucs2z00(obj_t BgL_envz00_779,
		obj_t BgL_ucs2z00_780)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 209 */
			return BBOOL(ucs2_letterp(CUCS2(BgL_ucs2z00_780)));
		}
	}



/* ucs2-numeric? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_23)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 215 */
			return ucs2_digitp(BgL_ucs2z00_23);
		}
	}



/* _ucs2-numeric?1398 */
	obj_t BGl__ucs2zd2numericzf31398z21zz__ucs2z00(obj_t BgL_envz00_781,
		obj_t BgL_ucs2z00_782)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 215 */
			return BBOOL(ucs2_digitp(CUCS2(BgL_ucs2z00_782)));
		}
	}



/* ucs2-whitespace? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_24)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 221 */
			return ucs2_whitespacep(BgL_ucs2z00_24);
		}
	}



/* _ucs2-whitespace?1399 */
	obj_t BGl__ucs2zd2whitespacezf31399z21zz__ucs2z00(obj_t BgL_envz00_783,
		obj_t BgL_ucs2z00_784)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 221 */
			return BBOOL(ucs2_whitespacep(CUCS2(BgL_ucs2z00_784)));
		}
	}



/* ucs2-upper-case? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t
		BgL_ucs2z00_25)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 227 */
			return ucs2_upperp(BgL_ucs2z00_25);
		}
	}



/* _ucs2-upper-case?1400 */
	obj_t BGl__ucs2zd2upperzd2casezf31400zf3zz__ucs2z00(obj_t BgL_envz00_785,
		obj_t BgL_ucs2z00_786)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 227 */
			return BBOOL(ucs2_upperp(CUCS2(BgL_ucs2z00_786)));
		}
	}



/* ucs2-lower-case? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t
		BgL_ucs2z00_26)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 233 */
			return ucs2_lowerp(BgL_ucs2z00_26);
		}
	}



/* _ucs2-lower-case?1401 */
	obj_t BGl__ucs2zd2lowerzd2casezf31401zf3zz__ucs2z00(obj_t BgL_envz00_787,
		obj_t BgL_ucs2z00_788)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 233 */
			return BBOOL(ucs2_lowerp(CUCS2(BgL_ucs2z00_788)));
		}
	}



/* ucs2-upcase */
	BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_27)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 239 */
			return ucs2_toupper(BgL_ucs2z00_27);
		}
	}



/* _ucs2-upcase1402 */
	obj_t BGl__ucs2zd2upcase1402zd2zz__ucs2z00(obj_t BgL_envz00_789,
		obj_t BgL_ucs2z00_790)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 239 */
			return BUCS2(ucs2_toupper(CUCS2(BgL_ucs2z00_790)));
		}
	}



/* ucs2-downcase */
	BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t
		BgL_ucs2z00_28)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 245 */
			return ucs2_tolower(BgL_ucs2z00_28);
		}
	}



/* _ucs2-downcase1403 */
	obj_t BGl__ucs2zd2downcase1403zd2zz__ucs2z00(obj_t BgL_envz00_791,
		obj_t BgL_ucs2z00_792)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 245 */
			return BUCS2(ucs2_tolower(CUCS2(BgL_ucs2z00_792)));
		}
	}



/* integer->ucs2 */
	BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int BgL_intz00_29)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 251 */
			{	/* Llib/ucs2.scm 252 */
				bool_t BgL_testz00_941;

				if (((long) (BgL_intz00_29) > ((long) 0)))
					{	/* Llib/ucs2.scm 252 */
						BgL_testz00_941 = ((long) (BgL_intz00_29) < ((long) 65536));
					}
				else
					{	/* Llib/ucs2.scm 252 */
						BgL_testz00_941 = ((bool_t) 0);
					}
				if (BgL_testz00_941)
					{	/* Llib/ucs2.scm 252 */
						if (ucs2_definedp(BgL_intz00_29))
							{	/* Llib/ucs2.scm 254 */
								return INT_TO_UCS2(BgL_intz00_29);
							}
						else
							{	/* Llib/ucs2.scm 254 */
								return
									CUCS2(BGl_errorz00zz__errorz00(BGl_string1408z00zz__ucs2z00,
										BGl_string1409z00zz__ucs2z00, BINT(BgL_intz00_29)));
							}
					}
				else
					{	/* Llib/ucs2.scm 252 */
						return
							CUCS2(BGl_errorz00zz__errorz00(BGl_string1408z00zz__ucs2z00,
								BGl_string1410z00zz__ucs2z00, BINT(BgL_intz00_29)));
					}
			}
		}
	}



/* _integer->ucs21404 */
	obj_t BGl__integerzd2ze3ucs21404z31zz__ucs2z00(obj_t BgL_envz00_793,
		obj_t BgL_intz00_794)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 251 */
			return BUCS2(BGl_integerzd2ze3ucs2z31zz__ucs2z00(CINT(BgL_intz00_794)));
		}
	}



/* ucs2->integer */
	BGL_EXPORTED_DEF int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t
		BgL_ucs2z00_30)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 262 */
			{	/* Llib/ucs2.scm 263 */
				obj_t BgL_auxz00_959;

				BgL_auxz00_959 = BUCS2(BgL_ucs2z00_30);
				return CUCS2(BgL_auxz00_959);
			}
		}
	}



/* _ucs2->integer1405 */
	obj_t BGl__ucs2zd2ze3integer1405z31zz__ucs2z00(obj_t BgL_envz00_795,
		obj_t BgL_ucs2z00_796)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 262 */
			{	/* Llib/ucs2.scm 263 */
				int BgL_auxz00_962;

				{	/* Llib/ucs2.scm 263 */
					ucs2_t BgL_ucs2z00_829;

					BgL_ucs2z00_829 = CUCS2(BgL_ucs2z00_796);
					{	/* Llib/ucs2.scm 263 */
						obj_t BgL_auxz00_964;

						BgL_auxz00_964 = BUCS2(BgL_ucs2z00_829);
						BgL_auxz00_962 = CUCS2(BgL_auxz00_964);
				}}
				return BINT(BgL_auxz00_962);
			}
		}
	}



/* char->ucs2 */
	BGL_EXPORTED_DEF ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char
		BgL_charz00_31)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 268 */
			{	/* Llib/ucs2.scm 269 */
				long BgL_arg1139z00_830;

				BgL_arg1139z00_830 = ((unsigned char) (BgL_charz00_31));
				return BGl_integerzd2ze3ucs2z31zz__ucs2z00((int) (BgL_arg1139z00_830));
		}}
	}



/* _char->ucs21406 */
	obj_t BGl__charzd2ze3ucs21406z31zz__ucs2z00(obj_t BgL_envz00_797,
		obj_t BgL_charz00_798)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 268 */
			{	/* Llib/ucs2.scm 269 */
				ucs2_t BgL_auxz00_972;

				{	/* Llib/ucs2.scm 269 */
					ucs2_t BgL_res1414z00_833;

					{	/* Llib/ucs2.scm 269 */
						unsigned char BgL_charz00_831;

						BgL_charz00_831 = CCHAR(BgL_charz00_798);
						{	/* Llib/ucs2.scm 269 */
							long BgL_arg1139z00_832;

							BgL_arg1139z00_832 = ((unsigned char) (BgL_charz00_831));
							BgL_res1414z00_833 =
								BGl_integerzd2ze3ucs2z31zz__ucs2z00((int) (BgL_arg1139z00_832));
					}}
					BgL_auxz00_972 = BgL_res1414z00_833;
				}
				return BUCS2(BgL_auxz00_972);
			}
		}
	}



/* ucs2->char */
	BGL_EXPORTED_DEF unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t
		BgL_ucs2z00_32)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 274 */
			{	/* Llib/ucs2.scm 275 */
				int BgL_intz00_640;

				{	/* Llib/ucs2.scm 275 */
					obj_t BgL_auxz00_979;

					BgL_auxz00_979 = BUCS2(BgL_ucs2z00_32);
					BgL_intz00_640 = CUCS2(BgL_auxz00_979);
				}
				if (((long) (BgL_intz00_640) < ((long) 256)))
					{	/* Llib/ucs2.scm 275 */
						return (char) (((long) (BgL_intz00_640)));
					}
				else
					{	/* Llib/ucs2.scm 275 */
						return
							CCHAR(BGl_errorz00zz__errorz00(BGl_string1411z00zz__ucs2z00,
								BGl_string1412z00zz__ucs2z00, BUCS2(BgL_ucs2z00_32)));
					}
			}
		}
	}



/* _ucs2->char1407 */
	obj_t BGl__ucs2zd2ze3char1407z31zz__ucs2z00(obj_t BgL_envz00_799,
		obj_t BgL_ucs2z00_800)
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 274 */
			return BCHAR(BGl_ucs2zd2ze3charz31zz__ucs2z00(CUCS2(BgL_ucs2z00_800)));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00()
	{
		AN_OBJECT;
		{	/* Llib/ucs2.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 215971449),
				BSTRING_TO_STRING(BGl_string1413z00zz__ucs2z00));
		}
	}

#ifdef __cplusplus
}
#endif
